
//  ////////////////////////////////////////////////////////////////////////////
//
//  Nord Modular patch file format 3.03 parser
//  Copyright (C) 2003 Marcus Andersson
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//  ////////////////////////////////////////////////////////////////////////////
//
//  Modified to be used in Delphi 7 by Jan Punter.
//
//  Modifications CopyRight (c) 2003 Jan Punter
//
//  Distributed under the same conditions as the original code by Narcus
//  Andersson.
//
//  Notes :
//
//   This is different from how the C versions of Lex and Yacc work.
//   This file is meant to be translated into a pascal file to be included
//   in the code generated from pdlparse.y, no stand alone unit is therefore
//   generated here.
//
//   Some initialization stuff was removed from here as it was already
//   supported by either lexlib.pas, yylex.cod or yyparse.cod.
//
//   This should be compileable for the tp lex vession 3.0 as taken from
//   the free pascal distribution. Modified versions of lexlib.pas, yyylex.cod
//   and yyparse.cod were used. These should be present in this distribution.
//
//   The original rule (\r\n|\n) had to be changed into (\r\n|\n|\r) to make
//   patch parsing work for me.
//
//    lupd : 2003-10-16
//
//  ////////////////////////////////////////////////////////////////////////////


%{
%}

%%

"[Header]"
  Begin
    // yyDebugOut( yyText);
    Return( HEADER);
  End;

"[/Header]"
  Begin
    // yyDebugOut( yyText);
    Return( HEADER_END);
  End;

"[ModuleDump]"
  Begin
    // yyDebugOut( yyText);
    Return( MODULE_DUMP);
  End;

"[/ModuleDump]"
  Begin
    // yyDebugOut( yyText);
    Return( MODULE_DUMP_END);
  End;

"[CurrentNoteDump]"
  Begin
    // yyDebugOut( yyText);
    Return( CURRENT_NOTE_DUMP);
  End;

"[/CurrentNoteDump]"
  Begin
    // yyDebugOut( yyText);
    Return( CURRENT_NOTE_DUMP_END);
  End;

"[CableDump]"
  Begin
    // yyDebugOut( yyText);
    Return( CABLE_DUMP);
  End;

"[/CableDump]"
  Begin
    // yyDebugOut( yyText);
    Return( CABLE_DUMP_END);
  End;

"[ParameterDump]"
  Begin
    // yyDebugOut( yyText);
    Return( PARAMETER_DUMP);
  End;

"[/ParameterDump]"
  Begin
    // yyDebugOut( yyText);
    Return( PARAMETER_DUMP_END);
  End;

"[CustomDump]"
  Begin
    // yyDebugOut( yyText);
    Return( CUSTOM_DUMP);
  End;

"[/CustomDump]"
  Begin
    // yyDebugOut( yyText);
    Return( CUSTOM_DUMP_END);
  End;

"[MorphMapDump]"
  Begin
    // yyDebugOut( yyText);
    Return( MORPH_MAP_DUMP);
  End;

"[/MorphMapDump]"
  Begin
    // yyDebugOut( yyText);
    Return( MORPH_MAP_DUMP_END);
  End;

"[KeyboardAssignment]"
  Begin
    // yyDebugOut( yyText);
    Return( KEYBOARD_ASSIGNMENT);
  End;

"[/KeyboardAssignment]"
  Begin
    // yyDebugOut( yyText);
    Return( KEYBOARD_ASSIGNMENT_END);
  End;

"[KnobMapDump]"
  Begin
    // yyDebugOut( yyText);
    Return( KNOB_MAP_DUMP);
  End;

"[/KnobMapDump]"
  Begin
    // yyDebugOut( yyText);
    Return( KNOB_MAP_DUMP_END);
  End;

"[CtrlMapDump]"
  Begin
    // yyDebugOut( yyText);
    Return( CTRL_MAP_DUMP);
  End;

"[/CtrlMapDump]"
  Begin
    // yyDebugOut( yyText);
    Return( CTRL_MAP_DUMP_END);
  End;

"[NameDump]"
  Begin
    // yyDebugOut( yyText);
    Return( NAME_DUMP);
  End;

"[/NameDump]"
  Begin
    // yyDebugOut( yyText);
    Return( NAME_DUMP_END);
  End;

"Version=Nord Modular patch 3.0"
  Begin
    // yyDebugOut( yyText);
    Return( NMVERSION);
  End;

[^\r\n ]*[ \t]*
  Begin
    // yyDebugOut( yyText);
    yylval := yytext;
    Return( PARAM);
  End;

"[Notes]"(.*(\r\n|\n))*"[/Notes]"
  Begin
    // yyDebugOut( yyText);
    yylval := Copy( yyText, 8, Length( yyText) - 17);
    Return( NOTES);
  End;

"[NOTES]"(.*(\r\n|\n))*"[/NOTES]"
  Begin
    // yyDebugOut( yyText);
    yylval := Copy( yyText, 8, Length( yyText) - 17);
    Return( NOTES);
  End;

"[/NOTES]"(\r\n|\n)*"[Notes]"(.*(\r\n|\n))*
  Begin
    // yyDebugOut( yyText);
    yylval := yytext;
    yyDebugOut( yylval);
    Return( NOTES);
  End;


(\r\n|\n|\r)
  Begin
    // yyDebugOut( yyText);
    Return( 10);
  End;

.
  Begin
    // yyDebugOut( '****' + Printable( Integer( yyText[ 1])));
    Return( Integer( yyText[ 1]));
  End;

%%


