
// lexical analyzer template (TP Lex V3.0), V1.0 3-2-91 AG

// global definitions:


//  ////////////////////////////////////////////////////////////////////////////
//
//  Nord Modular patch file format 3.03 parser
//  Copyright (C) 2003 Marcus Andersson
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//  ////////////////////////////////////////////////////////////////////////////
//
//  Modified to be used in Delphi 7 by Jan Punter.
//
//  Modifications CopyRight (c) 2003 Jan Punter
//
//  Distributed under the same conditions as the original code by Narcus
//  Andersson.
//
//  Notes :
//
//   This is different from how the C versions of Lex and Yacc work.
//   This file is meant to be translated into a pascal file to be included
//   in the code generated from pdlparse.y, no stand alone unit is therefore
//   generated here.
//
//   Some initialization stuff was removed from here as it was already
//   supported by either lexlib.pas, yylex.cod or yyparse.cod.
//
//   This should be compileable for the tp lex vession 3.0 as taken from
//   the free pascal distribution. Modified versions of lexlib.pas, yyylex.cod
//   and yyparse.cod were used. These should be present in this distribution.
//
//   The original rule (\r\n|\n) had to be changed into (\r\n|\n|\r) to make
//   patch parsing work for me.
//
//    lupd : 2003-10-16
//
//  ////////////////////////////////////////////////////////////////////////////




Function TParser.GetToken: Integer;

  Procedure yyaction( yyruleno: Integer);
  // local definitions:



  Begin
    // actions:
    Case yyruleno Of

  1:
          
  Begin
    // yyDebugOut( yyText);
    Return( HEADER);
  End;

  2:
           
  Begin
    // yyDebugOut( yyText);
    Return( HEADER_END);
  End;

  3:
              
  Begin
    // yyDebugOut( yyText);
    Return( MODULE_DUMP);
  End;

  4:
               
  Begin
    // yyDebugOut( yyText);
    Return( MODULE_DUMP_END);
  End;

  5:
                   
  Begin
    // yyDebugOut( yyText);
    Return( CURRENT_NOTE_DUMP);
  End;

  6:
                    
  Begin
    // yyDebugOut( yyText);
    Return( CURRENT_NOTE_DUMP_END);
  End;

  7:
             
  Begin
    // yyDebugOut( yyText);
    Return( CABLE_DUMP);
  End;

  8:
              
  Begin
    // yyDebugOut( yyText);
    Return( CABLE_DUMP_END);
  End;

  9:
                 
  Begin
    // yyDebugOut( yyText);
    Return( PARAMETER_DUMP);
  End;

  10:
                  
  Begin
    // yyDebugOut( yyText);
    Return( PARAMETER_DUMP_END);
  End;

  11:
              
  Begin
    // yyDebugOut( yyText);
    Return( CUSTOM_DUMP);
  End;

  12:
               
  Begin
    // yyDebugOut( yyText);
    Return( CUSTOM_DUMP_END);
  End;

  13:
                
  Begin
    // yyDebugOut( yyText);
    Return( MORPH_MAP_DUMP);
  End;

  14:
                 
  Begin
    // yyDebugOut( yyText);
    Return( MORPH_MAP_DUMP_END);
  End;

  15:
                      
  Begin
    // yyDebugOut( yyText);
    Return( KEYBOARD_ASSIGNMENT);
  End;

  16:
                       
  Begin
    // yyDebugOut( yyText);
    Return( KEYBOARD_ASSIGNMENT_END);
  End;

  17:
               
  Begin
    // yyDebugOut( yyText);
    Return( KNOB_MAP_DUMP);
  End;

  18:
                
  Begin
    // yyDebugOut( yyText);
    Return( KNOB_MAP_DUMP_END);
  End;

  19:
               
  Begin
    // yyDebugOut( yyText);
    Return( CTRL_MAP_DUMP);
  End;

  20:
                
  Begin
    // yyDebugOut( yyText);
    Return( CTRL_MAP_DUMP_END);
  End;

  21:
            
  Begin
    // yyDebugOut( yyText);
    Return( NAME_DUMP);
  End;

  22:
             
  Begin
    // yyDebugOut( yyText);
    Return( NAME_DUMP_END);
  End;

  23:
                                
  Begin
    // yyDebugOut( yyText);
    Return( NMVERSION);
  End;

  24:
               
  Begin
    // yyDebugOut( yyText);
    yylval := yytext;
    Return( PARAM);
  End;

  25:
                                 
  Begin
    // yyDebugOut( yyText);
    yylval := Copy( yyText, 8, Length( yyText) - 17);
    Return( NOTES);
  End;

  26:
                                 
  Begin
    // yyDebugOut( yyText);
    yylval := Copy( yyText, 8, Length( yyText) - 17);
    Return( NOTES);
  End;

  27:
                                           
  Begin
    // yyDebugOut( yyText);
    yylval := yytext;
    yyDebugOut( yylval);
    Return( NOTES);
  End;


  28:
            
  Begin
    // yyDebugOut( yyText);
    Return( 10);
  End;

  29:
 
  Begin
    // yyDebugOut( '****' + Printable( Integer( yyText[ 1])));
    Return( Integer( yyText[ 1]));
  End;


    End;
  End; // yyaction;

// DFA table:


type YYTRec = record
                cc : set of Char;
                s  : Integer;
              end;

const

yynmarks   = 355;
yynmatches = 355;
yyntrans   = 1118;
yynstates  = 371;

yyk : array [1..yynmarks] of Integer = (
  { 0: }
  24,
  { 1: }
  24,
  { 2: }
  24,
  29,
  { 3: }
  24,
  29,
  { 4: }
  24,
  29,
  { 5: }
  24,
  29,
  { 6: }
  28,
  29,
  { 7: }
  28,
  { 8: }
  24,
  { 9: }
  24,
  { 10: }
  24,
  { 11: }
  24,
  { 12: }
  24,
  { 13: }
  24,
  { 14: }
  24,
  { 15: }
  24,
  { 16: }
  24,
  { 17: }
  24,
  { 18: }
  24,
  { 19: }
  24,
  { 20: }
  24,
  { 21: }
  24,
  { 22: }
  24,
  { 23: }
  24,
  { 24: }
  24,
  { 25: }
  24,
  { 26: }
  24,
  { 27: }
  24,
  { 28: }
  24,
  { 29: }
  24,
  { 30: }
  24,
  { 31: }
  24,
  { 32: }
  24,
  { 33: }
  24,
  { 34: }
  24,
  { 35: }
  24,
  { 36: }
  24,
  { 37: }
  24,
  { 38: }
  24,
  { 39: }
  24,
  { 40: }
  24,
  { 41: }
  24,
  { 42: }
  24,
  { 43: }
  24,
  { 44: }
  24,
  { 45: }
  24,
  { 46: }
  24,
  { 47: }
  24,
  { 48: }
  24,
  { 49: }
  24,
  { 50: }
  24,
  { 51: }
  24,
  { 52: }
  24,
  { 53: }
  24,
  { 54: }
  24,
  { 55: }
  24,
  { 56: }
  24,
  { 57: }
  24,
  { 58: }
  24,
  { 59: }
  24,
  { 60: }
  24,
  { 61: }
  24,
  { 62: }
  24,
  { 63: }
  24,
  { 64: }
  24,
  { 65: }
  24,
  { 66: }
  24,
  { 67: }
  24,
  { 68: }
  24,
  { 69: }
  24,
  { 70: }
  24,
  { 71: }
  24,
  { 72: }
  24,
  { 73: }
  24,
  { 74: }
  24,
  { 75: }
  24,
  { 76: }
  24,
  { 77: }
  24,
  { 78: }
  24,
  { 79: }
  24,
  { 80: }
  24,
  { 81: }
  24,
  { 82: }
  24,
  { 83: }
  24,
  { 84: }
  24,
  { 85: }
  24,
  { 86: }
  24,
  { 87: }
  24,
  { 88: }
  24,
  { 89: }
  24,
  { 90: }
  24,
  { 91: }
  24,
  { 92: }
  24,
  { 93: }
  24,
  { 94: }
  24,
  { 95: }
  24,
  { 96: }
  24,
  { 97: }
  24,
  { 98: }
  24,
  { 99: }
  24,
  { 100: }
  24,
  { 101: }
  24,
  { 102: }
  24,
  { 103: }
  24,
  { 104: }
  24,
  { 105: }
  24,
  { 106: }
  24,
  { 107: }
  24,
  { 108: }
  24,
  { 109: }
  24,
  { 110: }
  24,
  { 111: }
  24,
  { 112: }
  24,
  { 113: }
  24,
  { 114: }
  24,
  { 115: }
  24,
  { 116: }
  24,
  { 117: }
  24,
  { 118: }
  24,
  { 119: }
  24,
  { 120: }
  24,
  { 121: }
  24,
  { 122: }
  24,
  { 123: }
  24,
  { 124: }
  24,
  { 125: }
  24,
  { 126: }
  24,
  { 127: }
  24,
  { 128: }
  24,
  { 129: }
  24,
  { 130: }
  24,
  { 131: }
  24,
  { 132: }
  24,
  { 133: }
  24,
  { 134: }
  24,
  { 135: }
  24,
  { 136: }
  24,
  { 137: }
  24,
  { 138: }
  1,
  24,
  { 139: }
  24,
  { 140: }
  24,
  { 141: }
  24,
  { 142: }
  24,
  { 143: }
  24,
  { 144: }
  24,
  { 145: }
  24,
  { 146: }
  24,
  { 147: }
  24,
  { 148: }
  24,
  { 149: }
  24,
  { 150: }
  24,
  { 151: }
  24,
  { 152: }
  24,
  { 153: }
  24,
  { 154: }
  24,
  { 155: }
  24,
  { 156: }
  24,
  { 157: }
  24,
  { 158: }
  24,
  { 159: }
  24,
  { 160: }
  24,
  { 161: }
  24,
  { 162: }
  24,
  { 163: }
  { 164: }
  { 165: }
  24,
  { 166: }
  24,
  { 167: }
  24,
  { 168: }
  { 169: }
  { 170: }
  24,
  { 171: }
  24,
  { 172: }
  2,
  24,
  { 173: }
  24,
  { 174: }
  24,
  { 175: }
  24,
  { 176: }
  24,
  { 177: }
  24,
  { 178: }
  24,
  { 179: }
  24,
  { 180: }
  24,
  { 181: }
  24,
  { 182: }
  24,
  { 183: }
  { 184: }
  { 185: }
  24,
  { 186: }
  24,
  { 187: }
  24,
  { 188: }
  24,
  { 189: }
  24,
  { 190: }
  24,
  { 191: }
  24,
  { 192: }
  24,
  { 193: }
  24,
  { 194: }
  24,
  { 195: }
  24,
  { 196: }
  { 197: }
  { 198: }
  24,
  { 199: }
  { 200: }
  { 201: }
  24,
  { 202: }
  24,
  { 203: }
  24,
  { 204: }
  24,
  { 205: }
  24,
  { 206: }
  24,
  { 207: }
  24,
  { 208: }
  24,
  { 209: }
  24,
  { 210: }
  24,
  { 211: }
  24,
  { 212: }
  24,
  { 213: }
  { 214: }
  24,
  { 215: }
  24,
  { 216: }
  24,
  { 217: }
  24,
  { 218: }
  24,
  { 219: }
  24,
  { 220: }
  24,
  { 221: }
  24,
  { 222: }
  24,
  { 223: }
  24,
  { 224: }
  21,
  24,
  { 225: }
  { 226: }
  24,
  { 227: }
  { 228: }
  24,
  { 229: }
  24,
  { 230: }
  24,
  { 231: }
  24,
  { 232: }
  24,
  { 233: }
  24,
  { 234: }
  24,
  { 235: }
  24,
  { 236: }
  24,
  { 237: }
  24,
  { 238: }
  24,
  { 239: }
  22,
  24,
  { 240: }
  { 241: }
  24,
  { 242: }
  24,
  { 243: }
  24,
  { 244: }
  24,
  { 245: }
  24,
  { 246: }
  7,
  24,
  { 247: }
  24,
  { 248: }
  24,
  { 249: }
  24,
  { 250: }
  24,
  { 251: }
  { 252: }
  24,
  { 253: }
  { 254: }
  24,
  { 255: }
  24,
  { 256: }
  24,
  { 257: }
  24,
  { 258: }
  24,
  { 259: }
  24,
  { 260: }
  8,
  24,
  { 261: }
  24,
  { 262: }
  24,
  { 263: }
  24,
  { 264: }
  24,
  { 265: }
  { 266: }
  24,
  { 267: }
  3,
  24,
  { 268: }
  24,
  { 269: }
  24,
  { 270: }
  11,
  24,
  { 271: }
  24,
  { 272: }
  24,
  { 273: }
  24,
  { 274: }
  24,
  { 275: }
  { 276: }
  24,
  { 277: }
  { 278: }
  24,
  { 279: }
  24,
  { 280: }
  4,
  24,
  { 281: }
  24,
  { 282: }
  24,
  { 283: }
  12,
  24,
  { 284: }
  24,
  { 285: }
  24,
  { 286: }
  24,
  { 287: }
  24,
  { 288: }
  { 289: }
  24,
  { 290: }
  24,
  { 291: }
  24,
  { 292: }
  19,
  24,
  { 293: }
  24,
  { 294: }
  24,
  { 295: }
  17,
  24,
  { 296: }
  { 297: }
  24,
  { 298: }
  { 299: }
  24,
  { 300: }
  24,
  { 301: }
  24,
  { 302: }
  24,
  { 303: }
  20,
  24,
  { 304: }
  24,
  { 305: }
  24,
  { 306: }
  18,
  24,
  { 307: }
  { 308: }
  24,
  { 309: }
  13,
  24,
  { 310: }
  24,
  { 311: }
  24,
  { 312: }
  24,
  { 313: }
  { 314: }
  24,
  { 315: }
  { 316: }
  24,
  { 317: }
  { 318: }
  14,
  24,
  { 319: }
  24,
  { 320: }
  24,
  { 321: }
  24,
  { 322: }
  { 323: }
  24,
  27,
  { 324: }
  24,
  { 325: }
  9,
  24,
  { 326: }
  24,
  { 327: }
  { 328: }
  24,
  25,
  { 329: }
  { 330: }
  24,
  26,
  { 331: }
  { 332: }
  24,
  { 333: }
  10,
  24,
  { 334: }
  24,
  { 335: }
  27,
  { 336: }
  24,
  { 337: }
  24,
  { 338: }
  { 339: }
  24,
  { 340: }
  24,
  { 341: }
  25,
  { 342: }
  26,
  { 343: }
  { 344: }
  24,
  { 345: }
  24,
  { 346: }
  { 347: }
  5,
  24,
  { 348: }
  24,
  { 349: }
  { 350: }
  6,
  24,
  { 351: }
  24,
  { 352: }
  24,
  { 353: }
  { 354: }
  24,
  { 355: }
  24,
  { 356: }
  { 357: }
  24,
  { 358: }
  15,
  24,
  { 359: }
  { 360: }
  16,
  24,
  { 361: }
  { 362: }
  { 363: }
  { 364: }
  { 365: }
  { 366: }
  { 367: }
  { 368: }
  { 369: }
  { 370: }
  23
);

yym : array [1..yynmatches] of Integer = (
{ 0: }
  24,
{ 1: }
  24,
{ 2: }
  24,
  29,
{ 3: }
  24,
  29,
{ 4: }
  24,
  29,
{ 5: }
  24,
  29,
{ 6: }
  28,
  29,
{ 7: }
  28,
{ 8: }
  24,
{ 9: }
  24,
{ 10: }
  24,
{ 11: }
  24,
{ 12: }
  24,
{ 13: }
  24,
{ 14: }
  24,
{ 15: }
  24,
{ 16: }
  24,
{ 17: }
  24,
{ 18: }
  24,
{ 19: }
  24,
{ 20: }
  24,
{ 21: }
  24,
{ 22: }
  24,
{ 23: }
  24,
{ 24: }
  24,
{ 25: }
  24,
{ 26: }
  24,
{ 27: }
  24,
{ 28: }
  24,
{ 29: }
  24,
{ 30: }
  24,
{ 31: }
  24,
{ 32: }
  24,
{ 33: }
  24,
{ 34: }
  24,
{ 35: }
  24,
{ 36: }
  24,
{ 37: }
  24,
{ 38: }
  24,
{ 39: }
  24,
{ 40: }
  24,
{ 41: }
  24,
{ 42: }
  24,
{ 43: }
  24,
{ 44: }
  24,
{ 45: }
  24,
{ 46: }
  24,
{ 47: }
  24,
{ 48: }
  24,
{ 49: }
  24,
{ 50: }
  24,
{ 51: }
  24,
{ 52: }
  24,
{ 53: }
  24,
{ 54: }
  24,
{ 55: }
  24,
{ 56: }
  24,
{ 57: }
  24,
{ 58: }
  24,
{ 59: }
  24,
{ 60: }
  24,
{ 61: }
  24,
{ 62: }
  24,
{ 63: }
  24,
{ 64: }
  24,
{ 65: }
  24,
{ 66: }
  24,
{ 67: }
  24,
{ 68: }
  24,
{ 69: }
  24,
{ 70: }
  24,
{ 71: }
  24,
{ 72: }
  24,
{ 73: }
  24,
{ 74: }
  24,
{ 75: }
  24,
{ 76: }
  24,
{ 77: }
  24,
{ 78: }
  24,
{ 79: }
  24,
{ 80: }
  24,
{ 81: }
  24,
{ 82: }
  24,
{ 83: }
  24,
{ 84: }
  24,
{ 85: }
  24,
{ 86: }
  24,
{ 87: }
  24,
{ 88: }
  24,
{ 89: }
  24,
{ 90: }
  24,
{ 91: }
  24,
{ 92: }
  24,
{ 93: }
  24,
{ 94: }
  24,
{ 95: }
  24,
{ 96: }
  24,
{ 97: }
  24,
{ 98: }
  24,
{ 99: }
  24,
{ 100: }
  24,
{ 101: }
  24,
{ 102: }
  24,
{ 103: }
  24,
{ 104: }
  24,
{ 105: }
  24,
{ 106: }
  24,
{ 107: }
  24,
{ 108: }
  24,
{ 109: }
  24,
{ 110: }
  24,
{ 111: }
  24,
{ 112: }
  24,
{ 113: }
  24,
{ 114: }
  24,
{ 115: }
  24,
{ 116: }
  24,
{ 117: }
  24,
{ 118: }
  24,
{ 119: }
  24,
{ 120: }
  24,
{ 121: }
  24,
{ 122: }
  24,
{ 123: }
  24,
{ 124: }
  24,
{ 125: }
  24,
{ 126: }
  24,
{ 127: }
  24,
{ 128: }
  24,
{ 129: }
  24,
{ 130: }
  24,
{ 131: }
  24,
{ 132: }
  24,
{ 133: }
  24,
{ 134: }
  24,
{ 135: }
  24,
{ 136: }
  24,
{ 137: }
  24,
{ 138: }
  1,
  24,
{ 139: }
  24,
{ 140: }
  24,
{ 141: }
  24,
{ 142: }
  24,
{ 143: }
  24,
{ 144: }
  24,
{ 145: }
  24,
{ 146: }
  24,
{ 147: }
  24,
{ 148: }
  24,
{ 149: }
  24,
{ 150: }
  24,
{ 151: }
  24,
{ 152: }
  24,
{ 153: }
  24,
{ 154: }
  24,
{ 155: }
  24,
{ 156: }
  24,
{ 157: }
  24,
{ 158: }
  24,
{ 159: }
  24,
{ 160: }
  24,
{ 161: }
  24,
{ 162: }
  24,
{ 163: }
{ 164: }
{ 165: }
  24,
{ 166: }
  24,
{ 167: }
  24,
{ 168: }
{ 169: }
{ 170: }
  24,
{ 171: }
  24,
{ 172: }
  2,
  24,
{ 173: }
  24,
{ 174: }
  24,
{ 175: }
  24,
{ 176: }
  24,
{ 177: }
  24,
{ 178: }
  24,
{ 179: }
  24,
{ 180: }
  24,
{ 181: }
  24,
{ 182: }
  24,
{ 183: }
{ 184: }
{ 185: }
  24,
{ 186: }
  24,
{ 187: }
  24,
{ 188: }
  24,
{ 189: }
  24,
{ 190: }
  24,
{ 191: }
  24,
{ 192: }
  24,
{ 193: }
  24,
{ 194: }
  24,
{ 195: }
  24,
{ 196: }
{ 197: }
{ 198: }
  24,
{ 199: }
{ 200: }
{ 201: }
  24,
{ 202: }
  24,
{ 203: }
  24,
{ 204: }
  24,
{ 205: }
  24,
{ 206: }
  24,
{ 207: }
  24,
{ 208: }
  24,
{ 209: }
  24,
{ 210: }
  24,
{ 211: }
  24,
{ 212: }
  24,
{ 213: }
{ 214: }
  24,
{ 215: }
  24,
{ 216: }
  24,
{ 217: }
  24,
{ 218: }
  24,
{ 219: }
  24,
{ 220: }
  24,
{ 221: }
  24,
{ 222: }
  24,
{ 223: }
  24,
{ 224: }
  21,
  24,
{ 225: }
{ 226: }
  24,
{ 227: }
{ 228: }
  24,
{ 229: }
  24,
{ 230: }
  24,
{ 231: }
  24,
{ 232: }
  24,
{ 233: }
  24,
{ 234: }
  24,
{ 235: }
  24,
{ 236: }
  24,
{ 237: }
  24,
{ 238: }
  24,
{ 239: }
  22,
  24,
{ 240: }
{ 241: }
  24,
{ 242: }
  24,
{ 243: }
  24,
{ 244: }
  24,
{ 245: }
  24,
{ 246: }
  7,
  24,
{ 247: }
  24,
{ 248: }
  24,
{ 249: }
  24,
{ 250: }
  24,
{ 251: }
{ 252: }
  24,
{ 253: }
{ 254: }
  24,
{ 255: }
  24,
{ 256: }
  24,
{ 257: }
  24,
{ 258: }
  24,
{ 259: }
  24,
{ 260: }
  8,
  24,
{ 261: }
  24,
{ 262: }
  24,
{ 263: }
  24,
{ 264: }
  24,
{ 265: }
{ 266: }
  24,
{ 267: }
  3,
  24,
{ 268: }
  24,
{ 269: }
  24,
{ 270: }
  11,
  24,
{ 271: }
  24,
{ 272: }
  24,
{ 273: }
  24,
{ 274: }
  24,
{ 275: }
{ 276: }
  24,
{ 277: }
{ 278: }
  24,
{ 279: }
  24,
{ 280: }
  4,
  24,
{ 281: }
  24,
{ 282: }
  24,
{ 283: }
  12,
  24,
{ 284: }
  24,
{ 285: }
  24,
{ 286: }
  24,
{ 287: }
  24,
{ 288: }
{ 289: }
  24,
{ 290: }
  24,
{ 291: }
  24,
{ 292: }
  19,
  24,
{ 293: }
  24,
{ 294: }
  24,
{ 295: }
  17,
  24,
{ 296: }
{ 297: }
  24,
{ 298: }
{ 299: }
  24,
{ 300: }
  24,
{ 301: }
  24,
{ 302: }
  24,
{ 303: }
  20,
  24,
{ 304: }
  24,
{ 305: }
  24,
{ 306: }
  18,
  24,
{ 307: }
{ 308: }
  24,
{ 309: }
  13,
  24,
{ 310: }
  24,
{ 311: }
  24,
{ 312: }
  24,
{ 313: }
{ 314: }
  24,
{ 315: }
{ 316: }
  24,
{ 317: }
{ 318: }
  14,
  24,
{ 319: }
  24,
{ 320: }
  24,
{ 321: }
  24,
{ 322: }
{ 323: }
  24,
  27,
{ 324: }
  24,
{ 325: }
  9,
  24,
{ 326: }
  24,
{ 327: }
{ 328: }
  24,
  25,
{ 329: }
{ 330: }
  24,
  26,
{ 331: }
{ 332: }
  24,
{ 333: }
  10,
  24,
{ 334: }
  24,
{ 335: }
  27,
{ 336: }
  24,
{ 337: }
  24,
{ 338: }
{ 339: }
  24,
{ 340: }
  24,
{ 341: }
  25,
{ 342: }
  26,
{ 343: }
{ 344: }
  24,
{ 345: }
  24,
{ 346: }
{ 347: }
  5,
  24,
{ 348: }
  24,
{ 349: }
{ 350: }
  6,
  24,
{ 351: }
  24,
{ 352: }
  24,
{ 353: }
{ 354: }
  24,
{ 355: }
  24,
{ 356: }
{ 357: }
  24,
{ 358: }
  15,
  24,
{ 359: }
{ 360: }
  16,
  24,
{ 361: }
{ 362: }
{ 363: }
{ 364: }
{ 365: }
{ 366: }
{ 367: }
{ 368: }
{ 369: }
{ 370: }
  23
);

yyt : array [1..yyntrans] of YYTrec = (
{ 0: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'U','W'..'Z',
            '\'..#255 ]; s: 4),
  ( cc: [ #10 ]; s: 7),
  ( cc: [ #13 ]; s: 6),
  ( cc: [ ' ' ]; s: 5),
  ( cc: [ 'V' ]; s: 3),
  ( cc: [ '[' ]; s: 2),
{ 1: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'U','W'..'Z',
            '\'..#255 ]; s: 4),
  ( cc: [ #10 ]; s: 7),
  ( cc: [ #13 ]; s: 6),
  ( cc: [ ' ' ]; s: 5),
  ( cc: [ 'V' ]; s: 3),
  ( cc: [ '[' ]; s: 2),
{ 2: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'.','0'..'B',
            'D'..'G','I','J','L','O','Q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ '/' ]; s: 9),
  ( cc: [ 'C' ]; s: 11),
  ( cc: [ 'H' ]; s: 8),
  ( cc: [ 'K' ]; s: 13),
  ( cc: [ 'M' ]; s: 10),
  ( cc: [ 'N' ]; s: 14),
  ( cc: [ 'P' ]; s: 12),
{ 3: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 17),
{ 4: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 5: }
  ( cc: [ #9,' ' ]; s: 16),
{ 6: }
  ( cc: [ #10 ]; s: 7),
{ 7: }
{ 8: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 18),
{ 9: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'B','D'..'G',
            'I','J','L','O','Q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'C' ]; s: 21),
  ( cc: [ 'H' ]; s: 19),
  ( cc: [ 'K' ]; s: 23),
  ( cc: [ 'M' ]; s: 20),
  ( cc: [ 'N' ]; s: 24),
  ( cc: [ 'P' ]; s: 22),
{ 10: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'n','p'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'o' ]; s: 25),
{ 11: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'`','b'..'s',
            'v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'a' ]; s: 27),
  ( cc: [ 't' ]; s: 28),
  ( cc: [ 'u' ]; s: 26),
{ 12: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'`','b'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'a' ]; s: 29),
{ 13: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..'m',
            'o'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 30),
  ( cc: [ 'n' ]; s: 31),
{ 14: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'N','P'..'`',
            'b'..'n','p'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'O' ]; s: 34),
  ( cc: [ 'a' ]; s: 32),
  ( cc: [ 'o' ]; s: 33),
{ 15: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 16: }
  ( cc: [ #9,' ' ]; s: 16),
{ 17: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'q','s'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'r' ]; s: 35),
{ 18: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'`','b'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'a' ]; s: 36),
{ 19: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 37),
{ 20: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'n','p'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'o' ]; s: 38),
{ 21: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'`','b'..'s',
            'v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'a' ]; s: 40),
  ( cc: [ 't' ]; s: 41),
  ( cc: [ 'u' ]; s: 39),
{ 22: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'`','b'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'a' ]; s: 42),
{ 23: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..'m',
            'o'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 43),
  ( cc: [ 'n' ]; s: 44),
{ 24: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'N','P'..'`',
            'b'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'O' ]; s: 46),
  ( cc: [ 'a' ]; s: 45),
{ 25: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'c','e'..'q',
            's'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'd' ]; s: 47),
  ( cc: [ 'r' ]; s: 48),
{ 26: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'q','t'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'r' ]; s: 49),
  ( cc: [ 's' ]; s: 50),
{ 27: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'a','c'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'b' ]; s: 51),
{ 28: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'q','s'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'r' ]; s: 52),
{ 29: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'q','s'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'r' ]; s: 53),
{ 30: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'x','z'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'y' ]; s: 54),
{ 31: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'n','p'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'o' ]; s: 55),
{ 32: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 56),
{ 33: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'s','u'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 't' ]; s: 57),
{ 34: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'S','U'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'T' ]; s: 58),
{ 35: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'r','t'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 's' ]; s: 59),
{ 36: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'c','e'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'd' ]; s: 60),
{ 37: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'`','b'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'a' ]; s: 61),
{ 38: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'c','e'..'q',
            's'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'd' ]; s: 62),
  ( cc: [ 'r' ]; s: 63),
{ 39: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'q','t'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'r' ]; s: 64),
  ( cc: [ 's' ]; s: 65),
{ 40: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'a','c'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'b' ]; s: 66),
{ 41: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'q','s'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'r' ]; s: 67),
{ 42: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'q','s'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'r' ]; s: 68),
{ 43: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'x','z'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'y' ]; s: 69),
{ 44: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'n','p'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'o' ]; s: 70),
{ 45: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 71),
{ 46: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'S','U'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'T' ]; s: 72),
{ 47: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 73),
{ 48: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 74),
{ 49: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'q','s'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'r' ]; s: 75),
{ 50: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'s','u'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 't' ]; s: 76),
{ 51: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'k','m'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'l' ]; s: 77),
{ 52: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'k','m'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'l' ]; s: 78),
{ 53: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'`','b'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'a' ]; s: 79),
{ 54: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'a','c'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'b' ]; s: 80),
{ 55: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'a','c'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'b' ]; s: 81),
{ 56: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 82),
{ 57: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 83),
{ 58: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'D','F'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'E' ]; s: 84),
{ 59: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'h','j'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'i' ]; s: 85),
{ 60: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 86),
{ 61: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'c','e'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'd' ]; s: 87),
{ 62: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 88),
{ 63: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 89),
{ 64: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'q','s'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'r' ]; s: 90),
{ 65: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'s','u'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 't' ]; s: 91),
{ 66: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'k','m'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'l' ]; s: 92),
{ 67: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'k','m'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'l' ]; s: 93),
{ 68: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'`','b'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'a' ]; s: 94),
{ 69: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'a','c'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'b' ]; s: 95),
{ 70: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'a','c'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'b' ]; s: 96),
{ 71: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 97),
{ 72: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'D','F'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'E' ]; s: 98),
{ 73: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'k','m'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'l' ]; s: 99),
{ 74: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'g','i'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'h' ]; s: 100),
{ 75: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 101),
{ 76: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'n','p'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'o' ]; s: 102),
{ 77: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 103),
{ 78: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'L','N'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'M' ]; s: 104),
{ 79: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 105),
{ 80: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'n','p'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'o' ]; s: 106),
{ 81: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'L','N'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'M' ]; s: 107),
{ 82: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'C','E'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'D' ]; s: 108),
{ 83: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'r','t'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 's' ]; s: 109),
{ 84: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'R','T'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'S' ]; s: 110),
{ 85: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'n','p'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'o' ]; s: 111),
{ 86: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'q','s'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'r' ]; s: 112),
{ 87: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 113),
{ 88: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'k','m'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'l' ]; s: 114),
{ 89: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'g','i'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'h' ]; s: 115),
{ 90: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 116),
{ 91: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'n','p'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'o' ]; s: 117),
{ 92: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 118),
{ 93: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'L','N'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'M' ]; s: 119),
{ 94: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 120),
{ 95: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'n','p'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'o' ]; s: 121),
{ 96: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'L','N'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'M' ]; s: 122),
{ 97: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'C','E'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'D' ]; s: 123),
{ 98: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'R','T'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'S' ]; s: 124),
{ 99: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 125),
{ 100: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'L','N'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'M' ]; s: 126),
{ 101: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'m','o'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'n' ]; s: 127),
{ 102: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 128),
{ 103: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'C','E'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'D' ]; s: 129),
{ 104: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'`','b'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'a' ]; s: 130),
{ 105: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 131),
{ 106: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'`','b'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'a' ]; s: 132),
{ 107: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'`','b'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'a' ]; s: 133),
{ 108: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 134),
{ 109: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 135),
{ 110: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 136),
{ 111: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'m','o'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'n' ]; s: 137),
{ 112: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 138),
{ 113: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'q','s'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'r' ]; s: 139),
{ 114: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 140),
{ 115: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'L','N'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'M' ]; s: 141),
{ 116: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'m','o'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'n' ]; s: 142),
{ 117: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 143),
{ 118: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'C','E'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'D' ]; s: 144),
{ 119: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'`','b'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'a' ]; s: 145),
{ 120: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 146),
{ 121: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'`','b'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'a' ]; s: 147),
{ 122: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'`','b'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'a' ]; s: 148),
{ 123: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 149),
{ 124: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 150),
{ 125: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'C','E'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'D' ]; s: 151),
{ 126: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'`','b'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'a' ]; s: 152),
{ 127: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'s','u'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 't' ]; s: 153),
{ 128: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'C','E'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'D' ]; s: 154),
{ 129: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 155),
{ 130: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 156),
{ 131: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'s','u'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 't' ]; s: 157),
{ 132: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'q','s'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'r' ]; s: 158),
{ 133: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 159),
{ 134: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 160),
{ 135: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'Z','\'..#255 ]; s: 161),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
  ( cc: [ ' ' ]; s: 162),
  ( cc: [ '[' ]; s: 165),
{ 136: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'Z','\'..#255 ]; s: 166),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
  ( cc: [ ' ' ]; s: 167),
  ( cc: [ '[' ]; s: 170),
{ 137: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'<','>'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ '=' ]; s: 171),
{ 138: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 139: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 172),
{ 140: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'C','E'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'D' ]; s: 173),
{ 141: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'`','b'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'a' ]; s: 174),
{ 142: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'s','u'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 't' ]; s: 175),
{ 143: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'C','E'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'D' ]; s: 176),
{ 144: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 177),
{ 145: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 178),
{ 146: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'s','u'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 't' ]; s: 179),
{ 147: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'q','s'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'r' ]; s: 180),
{ 148: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 181),
{ 149: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 182),
{ 150: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'Z','\'..#255 ]; s: 15),
  ( cc: [ #10 ]; s: 184),
  ( cc: [ #13 ]; s: 183),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ '[' ]; s: 185),
{ 151: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 186),
{ 152: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 187),
{ 153: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'M','O'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'N' ]; s: 188),
{ 154: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 189),
{ 155: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 190),
{ 156: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'C','E'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'D' ]; s: 191),
{ 157: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 192),
{ 158: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'c','e'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'd' ]; s: 193),
{ 159: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'C','E'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'D' ]; s: 194),
{ 160: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 195),
{ 161: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 161),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
  ( cc: [ ' ' ]; s: 162),
{ 162: }
  ( cc: [ #1..#8,#11,#12,#14..#31,'!'..#255 ]; s: 196),
  ( cc: [ #9,' ' ]; s: 162),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
{ 163: }
  ( cc: [ #1..#9,#11,#12,#14..#255 ]; s: 196),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
{ 164: }
  ( cc: [ #1..#9,#11,#12,#14..'Z','\'..#255 ]; s: 196),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
  ( cc: [ '[' ]; s: 197),
{ 165: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'.','0'..#255 ]; s: 161),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
  ( cc: [ ' ' ]; s: 162),
  ( cc: [ '/' ]; s: 198),
{ 166: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 166),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
  ( cc: [ ' ' ]; s: 167),
{ 167: }
  ( cc: [ #1..#8,#11,#12,#14..#31,'!'..#255 ]; s: 199),
  ( cc: [ #9,' ' ]; s: 167),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
{ 168: }
  ( cc: [ #1..#9,#11,#12,#14..#255 ]; s: 199),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
{ 169: }
  ( cc: [ #1..#9,#11,#12,#14..'Z','\'..#255 ]; s: 199),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
  ( cc: [ '[' ]; s: 200),
{ 170: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'.','0'..#255 ]; s: 166),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
  ( cc: [ ' ' ]; s: 167),
  ( cc: [ '/' ]; s: 201),
{ 171: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'M','O'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'N' ]; s: 202),
{ 172: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 173: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 203),
{ 174: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 204),
{ 175: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'M','O'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'N' ]; s: 205),
{ 176: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 206),
{ 177: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 207),
{ 178: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'C','E'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'D' ]; s: 208),
{ 179: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 209),
{ 180: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'c','e'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'd' ]; s: 210),
{ 181: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'C','E'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'D' ]; s: 211),
{ 182: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 212),
{ 183: }
  ( cc: [ #10 ]; s: 184),
{ 184: }
  ( cc: [ #10 ]; s: 184),
  ( cc: [ #13 ]; s: 183),
  ( cc: [ '[' ]; s: 213),
{ 185: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'M','O'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'N' ]; s: 214),
{ 186: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 215),
{ 187: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'C','E'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'D' ]; s: 216),
{ 188: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'n','p'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'o' ]; s: 217),
{ 189: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 218),
{ 190: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 219),
{ 191: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 220),
{ 192: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'q','s'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'r' ]; s: 221),
{ 193: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'@','B'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'A' ]; s: 222),
{ 194: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 223),
{ 195: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 224),
{ 196: }
  ( cc: [ #1..#9,#11,#12,#14..#255 ]; s: 196),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
{ 197: }
  ( cc: [ #1..#9,#11,#12,#14..'.','0'..#255 ]; s: 196),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
  ( cc: [ '/' ]; s: 225),
{ 198: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'M','O'..#255 ]; s: 161),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
  ( cc: [ ' ' ]; s: 162),
  ( cc: [ 'N' ]; s: 226),
{ 199: }
  ( cc: [ #1..#9,#11,#12,#14..#255 ]; s: 199),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
{ 200: }
  ( cc: [ #1..#9,#11,#12,#14..'.','0'..#255 ]; s: 199),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
  ( cc: [ '/' ]; s: 227),
{ 201: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'M','O'..#255 ]; s: 166),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
  ( cc: [ ' ' ]; s: 167),
  ( cc: [ 'N' ]; s: 228),
{ 202: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'n','p'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'o' ]; s: 229),
{ 203: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 230),
{ 204: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'C','E'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'D' ]; s: 231),
{ 205: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'n','p'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'o' ]; s: 232),
{ 206: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 233),
{ 207: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 234),
{ 208: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 235),
{ 209: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'q','s'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'r' ]; s: 236),
{ 210: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'@','B'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'A' ]; s: 237),
{ 211: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 238),
{ 212: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 239),
{ 213: }
  ( cc: [ 'N' ]; s: 240),
{ 214: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'n','p'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'o' ]; s: 241),
{ 215: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 242),
{ 216: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 243),
{ 217: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'s','u'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 't' ]; s: 244),
{ 218: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 245),
{ 219: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 246),
{ 220: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 247),
{ 221: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'C','E'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'D' ]; s: 248),
{ 222: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'r','t'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 's' ]; s: 249),
{ 223: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 250),
{ 224: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 225: }
  ( cc: [ #1..#9,#11,#12,#14..'M','O'..#255 ]; s: 196),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
  ( cc: [ 'N' ]; s: 251),
{ 226: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'n','p'..#255 ]; s: 161),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
  ( cc: [ ' ' ]; s: 162),
  ( cc: [ 'o' ]; s: 252),
{ 227: }
  ( cc: [ #1..#9,#11,#12,#14..'M','O'..#255 ]; s: 199),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
  ( cc: [ 'N' ]; s: 253),
{ 228: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'N','P'..#255 ]; s: 166),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
  ( cc: [ ' ' ]; s: 167),
  ( cc: [ 'O' ]; s: 254),
{ 229: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'q','s'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'r' ]; s: 255),
{ 230: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 256),
{ 231: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 257),
{ 232: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'s','u'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 't' ]; s: 258),
{ 233: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 259),
{ 234: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 260),
{ 235: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 261),
{ 236: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'C','E'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'D' ]; s: 262),
{ 237: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'r','t'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 's' ]; s: 263),
{ 238: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 264),
{ 239: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 240: }
  ( cc: [ 'o' ]; s: 265),
{ 241: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'s','u'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 't' ]; s: 266),
{ 242: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 267),
{ 243: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 268),
{ 244: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 269),
{ 245: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 270),
{ 246: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 247: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 271),
{ 248: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 272),
{ 249: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'r','t'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 's' ]; s: 273),
{ 250: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 274),
{ 251: }
  ( cc: [ #1..#9,#11,#12,#14..'n','p'..#255 ]; s: 196),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
  ( cc: [ 'o' ]; s: 275),
{ 252: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'s','u'..#255 ]; s: 161),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
  ( cc: [ ' ' ]; s: 162),
  ( cc: [ 't' ]; s: 276),
{ 253: }
  ( cc: [ #1..#9,#11,#12,#14..'N','P'..#255 ]; s: 199),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
  ( cc: [ 'O' ]; s: 277),
{ 254: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'S','U'..#255 ]; s: 166),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
  ( cc: [ ' ' ]; s: 167),
  ( cc: [ 'T' ]; s: 278),
{ 255: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'c','e'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'd' ]; s: 279),
{ 256: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 280),
{ 257: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 281),
{ 258: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 282),
{ 259: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 283),
{ 260: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 261: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 284),
{ 262: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 285),
{ 263: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'r','t'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 's' ]; s: 286),
{ 264: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 287),
{ 265: }
  ( cc: [ 't' ]; s: 288),
{ 266: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 289),
{ 267: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 268: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 290),
{ 269: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'C','E'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'D' ]; s: 291),
{ 270: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 271: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 292),
{ 272: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 293),
{ 273: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'h','j'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'i' ]; s: 294),
{ 274: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 295),
{ 275: }
  ( cc: [ #1..#9,#11,#12,#14..'s','u'..#255 ]; s: 196),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
  ( cc: [ 't' ]; s: 296),
{ 276: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 161),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
  ( cc: [ ' ' ]; s: 162),
  ( cc: [ 'e' ]; s: 297),
{ 277: }
  ( cc: [ #1..#9,#11,#12,#14..'S','U'..#255 ]; s: 199),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
  ( cc: [ 'T' ]; s: 298),
{ 278: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'D','F'..#255 ]; s: 166),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
  ( cc: [ ' ' ]; s: 167),
  ( cc: [ 'E' ]; s: 299),
{ 279: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 300),
{ 280: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 281: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 301),
{ 282: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'C','E'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'D' ]; s: 302),
{ 283: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 284: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 303),
{ 285: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 304),
{ 286: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'h','j'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'i' ]; s: 305),
{ 287: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 306),
{ 288: }
  ( cc: [ 'e' ]; s: 307),
{ 289: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'r','t'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 's' ]; s: 308),
{ 290: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 309),
{ 291: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 310),
{ 292: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 293: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 311),
{ 294: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'f','h'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'g' ]; s: 312),
{ 295: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 296: }
  ( cc: [ #1..#9,#11,#12,#14..'d','f'..#255 ]; s: 196),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
  ( cc: [ 'e' ]; s: 313),
{ 297: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'r','t'..#255 ]; s: 161),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
  ( cc: [ ' ' ]; s: 162),
  ( cc: [ 's' ]; s: 314),
{ 298: }
  ( cc: [ #1..#9,#11,#12,#14..'D','F'..#255 ]; s: 199),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
  ( cc: [ 'E' ]; s: 315),
{ 299: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'R','T'..#255 ]; s: 166),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
  ( cc: [ ' ' ]; s: 167),
  ( cc: [ 'S' ]; s: 316),
{ 300: }
  ( cc: [ #9,' ' ]; s: 16),
  ( cc: [ 'M' ]; s: 317),
{ 301: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 318),
{ 302: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'t','v'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'u' ]; s: 319),
{ 303: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 304: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 320),
{ 305: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'f','h'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'g' ]; s: 321),
{ 306: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 307: }
  ( cc: [ 's' ]; s: 322),
{ 308: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 323),
{ 309: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 310: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 324),
{ 311: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 325),
{ 312: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'m','o'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'n' ]; s: 326),
{ 313: }
  ( cc: [ #1..#9,#11,#12,#14..'r','t'..#255 ]; s: 196),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
  ( cc: [ 's' ]; s: 327),
{ 314: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 161),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
  ( cc: [ ' ' ]; s: 162),
  ( cc: [ ']' ]; s: 328),
{ 315: }
  ( cc: [ #1..#9,#11,#12,#14..'R','T'..#255 ]; s: 199),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
  ( cc: [ 'S' ]; s: 329),
{ 316: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 166),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
  ( cc: [ ' ' ]; s: 167),
  ( cc: [ ']' ]; s: 330),
{ 317: }
  ( cc: [ 'o' ]; s: 331),
{ 318: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 319: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 332),
{ 320: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 333),
{ 321: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'m','o'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'n' ]; s: 334),
{ 322: }
  ( cc: [ ']' ]; s: 335),
{ 323: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 336),
  ( cc: [ #10 ]; s: 335),
  ( cc: [ #13 ]; s: 338),
  ( cc: [ ' ' ]; s: 337),
{ 324: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 339),
{ 325: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 326: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 340),
{ 327: }
  ( cc: [ #1..#9,#11,#12,#14..'\','^'..#255 ]; s: 196),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
  ( cc: [ ']' ]; s: 341),
{ 328: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 161),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
  ( cc: [ ' ' ]; s: 162),
{ 329: }
  ( cc: [ #1..#9,#11,#12,#14..'\','^'..#255 ]; s: 199),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
  ( cc: [ ']' ]; s: 342),
{ 330: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 166),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
  ( cc: [ ' ' ]; s: 167),
{ 331: }
  ( cc: [ 'd' ]; s: 343),
{ 332: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'o','q'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'p' ]; s: 344),
{ 333: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 334: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'l','n'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'm' ]; s: 345),
{ 335: }
  ( cc: [ #1..#9,#11,#12,#14..#255 ]; s: 346),
  ( cc: [ #10 ]; s: 335),
  ( cc: [ #13 ]; s: 338),
{ 336: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 336),
  ( cc: [ #10 ]; s: 335),
  ( cc: [ #13 ]; s: 338),
  ( cc: [ ' ' ]; s: 337),
{ 337: }
  ( cc: [ #1..#8,#11,#12,#14..#31,'!'..#255 ]; s: 346),
  ( cc: [ #9,' ' ]; s: 337),
  ( cc: [ #10 ]; s: 335),
  ( cc: [ #13 ]; s: 338),
{ 338: }
  ( cc: [ #1..#9,#11,#12,#14..#255 ]; s: 346),
  ( cc: [ #10 ]; s: 335),
  ( cc: [ #13 ]; s: 338),
{ 339: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 347),
{ 340: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 348),
{ 341: }
  ( cc: [ #1..#9,#11,#12,#14..#255 ]; s: 196),
  ( cc: [ #10 ]; s: 164),
  ( cc: [ #13 ]; s: 163),
{ 342: }
  ( cc: [ #1..#9,#11,#12,#14..#255 ]; s: 199),
  ( cc: [ #10 ]; s: 169),
  ( cc: [ #13 ]; s: 168),
{ 343: }
  ( cc: [ 'u' ]; s: 349),
{ 344: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 350),
{ 345: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'d','f'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'e' ]; s: 351),
{ 346: }
  ( cc: [ #1..#9,#11,#12,#14..#255 ]; s: 346),
  ( cc: [ #10 ]; s: 335),
  ( cc: [ #13 ]; s: 338),
{ 347: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 348: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'m','o'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'n' ]; s: 352),
{ 349: }
  ( cc: [ 'l' ]; s: 353),
{ 350: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 351: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'m','o'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 'n' ]; s: 354),
{ 352: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'s','u'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 't' ]; s: 355),
{ 353: }
  ( cc: [ 'a' ]; s: 356),
{ 354: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'s','u'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ 't' ]; s: 357),
{ 355: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 358),
{ 356: }
  ( cc: [ 'r' ]; s: 359),
{ 357: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..'\','^'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
  ( cc: [ ']' ]; s: 360),
{ 358: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 359: }
  ( cc: [ ' ' ]; s: 361),
{ 360: }
  ( cc: [ #1..#9,#11,#12,#14..#31,'!'..#255 ]; s: 15),
  ( cc: [ ' ' ]; s: 16),
{ 361: }
  ( cc: [ 'p' ]; s: 362),
{ 362: }
  ( cc: [ 'a' ]; s: 363),
{ 363: }
  ( cc: [ 't' ]; s: 364),
{ 364: }
  ( cc: [ 'c' ]; s: 365),
{ 365: }
  ( cc: [ 'h' ]; s: 366),
{ 366: }
  ( cc: [ ' ' ]; s: 367),
{ 367: }
  ( cc: [ '3' ]; s: 368),
{ 368: }
  ( cc: [ '.' ]; s: 369),
{ 369: }
  ( cc: [ '0' ]; s: 370)
{ 370: }
);

yykl : array [0..yynstates-1] of Integer = (
{ 0: } 1,
{ 1: } 2,
{ 2: } 3,
{ 3: } 5,
{ 4: } 7,
{ 5: } 9,
{ 6: } 11,
{ 7: } 13,
{ 8: } 14,
{ 9: } 15,
{ 10: } 16,
{ 11: } 17,
{ 12: } 18,
{ 13: } 19,
{ 14: } 20,
{ 15: } 21,
{ 16: } 22,
{ 17: } 23,
{ 18: } 24,
{ 19: } 25,
{ 20: } 26,
{ 21: } 27,
{ 22: } 28,
{ 23: } 29,
{ 24: } 30,
{ 25: } 31,
{ 26: } 32,
{ 27: } 33,
{ 28: } 34,
{ 29: } 35,
{ 30: } 36,
{ 31: } 37,
{ 32: } 38,
{ 33: } 39,
{ 34: } 40,
{ 35: } 41,
{ 36: } 42,
{ 37: } 43,
{ 38: } 44,
{ 39: } 45,
{ 40: } 46,
{ 41: } 47,
{ 42: } 48,
{ 43: } 49,
{ 44: } 50,
{ 45: } 51,
{ 46: } 52,
{ 47: } 53,
{ 48: } 54,
{ 49: } 55,
{ 50: } 56,
{ 51: } 57,
{ 52: } 58,
{ 53: } 59,
{ 54: } 60,
{ 55: } 61,
{ 56: } 62,
{ 57: } 63,
{ 58: } 64,
{ 59: } 65,
{ 60: } 66,
{ 61: } 67,
{ 62: } 68,
{ 63: } 69,
{ 64: } 70,
{ 65: } 71,
{ 66: } 72,
{ 67: } 73,
{ 68: } 74,
{ 69: } 75,
{ 70: } 76,
{ 71: } 77,
{ 72: } 78,
{ 73: } 79,
{ 74: } 80,
{ 75: } 81,
{ 76: } 82,
{ 77: } 83,
{ 78: } 84,
{ 79: } 85,
{ 80: } 86,
{ 81: } 87,
{ 82: } 88,
{ 83: } 89,
{ 84: } 90,
{ 85: } 91,
{ 86: } 92,
{ 87: } 93,
{ 88: } 94,
{ 89: } 95,
{ 90: } 96,
{ 91: } 97,
{ 92: } 98,
{ 93: } 99,
{ 94: } 100,
{ 95: } 101,
{ 96: } 102,
{ 97: } 103,
{ 98: } 104,
{ 99: } 105,
{ 100: } 106,
{ 101: } 107,
{ 102: } 108,
{ 103: } 109,
{ 104: } 110,
{ 105: } 111,
{ 106: } 112,
{ 107: } 113,
{ 108: } 114,
{ 109: } 115,
{ 110: } 116,
{ 111: } 117,
{ 112: } 118,
{ 113: } 119,
{ 114: } 120,
{ 115: } 121,
{ 116: } 122,
{ 117: } 123,
{ 118: } 124,
{ 119: } 125,
{ 120: } 126,
{ 121: } 127,
{ 122: } 128,
{ 123: } 129,
{ 124: } 130,
{ 125: } 131,
{ 126: } 132,
{ 127: } 133,
{ 128: } 134,
{ 129: } 135,
{ 130: } 136,
{ 131: } 137,
{ 132: } 138,
{ 133: } 139,
{ 134: } 140,
{ 135: } 141,
{ 136: } 142,
{ 137: } 143,
{ 138: } 144,
{ 139: } 146,
{ 140: } 147,
{ 141: } 148,
{ 142: } 149,
{ 143: } 150,
{ 144: } 151,
{ 145: } 152,
{ 146: } 153,
{ 147: } 154,
{ 148: } 155,
{ 149: } 156,
{ 150: } 157,
{ 151: } 158,
{ 152: } 159,
{ 153: } 160,
{ 154: } 161,
{ 155: } 162,
{ 156: } 163,
{ 157: } 164,
{ 158: } 165,
{ 159: } 166,
{ 160: } 167,
{ 161: } 168,
{ 162: } 169,
{ 163: } 170,
{ 164: } 170,
{ 165: } 170,
{ 166: } 171,
{ 167: } 172,
{ 168: } 173,
{ 169: } 173,
{ 170: } 173,
{ 171: } 174,
{ 172: } 175,
{ 173: } 177,
{ 174: } 178,
{ 175: } 179,
{ 176: } 180,
{ 177: } 181,
{ 178: } 182,
{ 179: } 183,
{ 180: } 184,
{ 181: } 185,
{ 182: } 186,
{ 183: } 187,
{ 184: } 187,
{ 185: } 187,
{ 186: } 188,
{ 187: } 189,
{ 188: } 190,
{ 189: } 191,
{ 190: } 192,
{ 191: } 193,
{ 192: } 194,
{ 193: } 195,
{ 194: } 196,
{ 195: } 197,
{ 196: } 198,
{ 197: } 198,
{ 198: } 198,
{ 199: } 199,
{ 200: } 199,
{ 201: } 199,
{ 202: } 200,
{ 203: } 201,
{ 204: } 202,
{ 205: } 203,
{ 206: } 204,
{ 207: } 205,
{ 208: } 206,
{ 209: } 207,
{ 210: } 208,
{ 211: } 209,
{ 212: } 210,
{ 213: } 211,
{ 214: } 211,
{ 215: } 212,
{ 216: } 213,
{ 217: } 214,
{ 218: } 215,
{ 219: } 216,
{ 220: } 217,
{ 221: } 218,
{ 222: } 219,
{ 223: } 220,
{ 224: } 221,
{ 225: } 223,
{ 226: } 223,
{ 227: } 224,
{ 228: } 224,
{ 229: } 225,
{ 230: } 226,
{ 231: } 227,
{ 232: } 228,
{ 233: } 229,
{ 234: } 230,
{ 235: } 231,
{ 236: } 232,
{ 237: } 233,
{ 238: } 234,
{ 239: } 235,
{ 240: } 237,
{ 241: } 237,
{ 242: } 238,
{ 243: } 239,
{ 244: } 240,
{ 245: } 241,
{ 246: } 242,
{ 247: } 244,
{ 248: } 245,
{ 249: } 246,
{ 250: } 247,
{ 251: } 248,
{ 252: } 248,
{ 253: } 249,
{ 254: } 249,
{ 255: } 250,
{ 256: } 251,
{ 257: } 252,
{ 258: } 253,
{ 259: } 254,
{ 260: } 255,
{ 261: } 257,
{ 262: } 258,
{ 263: } 259,
{ 264: } 260,
{ 265: } 261,
{ 266: } 261,
{ 267: } 262,
{ 268: } 264,
{ 269: } 265,
{ 270: } 266,
{ 271: } 268,
{ 272: } 269,
{ 273: } 270,
{ 274: } 271,
{ 275: } 272,
{ 276: } 272,
{ 277: } 273,
{ 278: } 273,
{ 279: } 274,
{ 280: } 275,
{ 281: } 277,
{ 282: } 278,
{ 283: } 279,
{ 284: } 281,
{ 285: } 282,
{ 286: } 283,
{ 287: } 284,
{ 288: } 285,
{ 289: } 285,
{ 290: } 286,
{ 291: } 287,
{ 292: } 288,
{ 293: } 290,
{ 294: } 291,
{ 295: } 292,
{ 296: } 294,
{ 297: } 294,
{ 298: } 295,
{ 299: } 295,
{ 300: } 296,
{ 301: } 297,
{ 302: } 298,
{ 303: } 299,
{ 304: } 301,
{ 305: } 302,
{ 306: } 303,
{ 307: } 305,
{ 308: } 305,
{ 309: } 306,
{ 310: } 308,
{ 311: } 309,
{ 312: } 310,
{ 313: } 311,
{ 314: } 311,
{ 315: } 312,
{ 316: } 312,
{ 317: } 313,
{ 318: } 313,
{ 319: } 315,
{ 320: } 316,
{ 321: } 317,
{ 322: } 318,
{ 323: } 318,
{ 324: } 320,
{ 325: } 321,
{ 326: } 323,
{ 327: } 324,
{ 328: } 324,
{ 329: } 326,
{ 330: } 326,
{ 331: } 328,
{ 332: } 328,
{ 333: } 329,
{ 334: } 331,
{ 335: } 332,
{ 336: } 333,
{ 337: } 334,
{ 338: } 335,
{ 339: } 335,
{ 340: } 336,
{ 341: } 337,
{ 342: } 338,
{ 343: } 339,
{ 344: } 339,
{ 345: } 340,
{ 346: } 341,
{ 347: } 341,
{ 348: } 343,
{ 349: } 344,
{ 350: } 344,
{ 351: } 346,
{ 352: } 347,
{ 353: } 348,
{ 354: } 348,
{ 355: } 349,
{ 356: } 350,
{ 357: } 350,
{ 358: } 351,
{ 359: } 353,
{ 360: } 353,
{ 361: } 355,
{ 362: } 355,
{ 363: } 355,
{ 364: } 355,
{ 365: } 355,
{ 366: } 355,
{ 367: } 355,
{ 368: } 355,
{ 369: } 355,
{ 370: } 355
);

yykh : array [0..yynstates-1] of Integer = (
{ 0: } 1,
{ 1: } 2,
{ 2: } 4,
{ 3: } 6,
{ 4: } 8,
{ 5: } 10,
{ 6: } 12,
{ 7: } 13,
{ 8: } 14,
{ 9: } 15,
{ 10: } 16,
{ 11: } 17,
{ 12: } 18,
{ 13: } 19,
{ 14: } 20,
{ 15: } 21,
{ 16: } 22,
{ 17: } 23,
{ 18: } 24,
{ 19: } 25,
{ 20: } 26,
{ 21: } 27,
{ 22: } 28,
{ 23: } 29,
{ 24: } 30,
{ 25: } 31,
{ 26: } 32,
{ 27: } 33,
{ 28: } 34,
{ 29: } 35,
{ 30: } 36,
{ 31: } 37,
{ 32: } 38,
{ 33: } 39,
{ 34: } 40,
{ 35: } 41,
{ 36: } 42,
{ 37: } 43,
{ 38: } 44,
{ 39: } 45,
{ 40: } 46,
{ 41: } 47,
{ 42: } 48,
{ 43: } 49,
{ 44: } 50,
{ 45: } 51,
{ 46: } 52,
{ 47: } 53,
{ 48: } 54,
{ 49: } 55,
{ 50: } 56,
{ 51: } 57,
{ 52: } 58,
{ 53: } 59,
{ 54: } 60,
{ 55: } 61,
{ 56: } 62,
{ 57: } 63,
{ 58: } 64,
{ 59: } 65,
{ 60: } 66,
{ 61: } 67,
{ 62: } 68,
{ 63: } 69,
{ 64: } 70,
{ 65: } 71,
{ 66: } 72,
{ 67: } 73,
{ 68: } 74,
{ 69: } 75,
{ 70: } 76,
{ 71: } 77,
{ 72: } 78,
{ 73: } 79,
{ 74: } 80,
{ 75: } 81,
{ 76: } 82,
{ 77: } 83,
{ 78: } 84,
{ 79: } 85,
{ 80: } 86,
{ 81: } 87,
{ 82: } 88,
{ 83: } 89,
{ 84: } 90,
{ 85: } 91,
{ 86: } 92,
{ 87: } 93,
{ 88: } 94,
{ 89: } 95,
{ 90: } 96,
{ 91: } 97,
{ 92: } 98,
{ 93: } 99,
{ 94: } 100,
{ 95: } 101,
{ 96: } 102,
{ 97: } 103,
{ 98: } 104,
{ 99: } 105,
{ 100: } 106,
{ 101: } 107,
{ 102: } 108,
{ 103: } 109,
{ 104: } 110,
{ 105: } 111,
{ 106: } 112,
{ 107: } 113,
{ 108: } 114,
{ 109: } 115,
{ 110: } 116,
{ 111: } 117,
{ 112: } 118,
{ 113: } 119,
{ 114: } 120,
{ 115: } 121,
{ 116: } 122,
{ 117: } 123,
{ 118: } 124,
{ 119: } 125,
{ 120: } 126,
{ 121: } 127,
{ 122: } 128,
{ 123: } 129,
{ 124: } 130,
{ 125: } 131,
{ 126: } 132,
{ 127: } 133,
{ 128: } 134,
{ 129: } 135,
{ 130: } 136,
{ 131: } 137,
{ 132: } 138,
{ 133: } 139,
{ 134: } 140,
{ 135: } 141,
{ 136: } 142,
{ 137: } 143,
{ 138: } 145,
{ 139: } 146,
{ 140: } 147,
{ 141: } 148,
{ 142: } 149,
{ 143: } 150,
{ 144: } 151,
{ 145: } 152,
{ 146: } 153,
{ 147: } 154,
{ 148: } 155,
{ 149: } 156,
{ 150: } 157,
{ 151: } 158,
{ 152: } 159,
{ 153: } 160,
{ 154: } 161,
{ 155: } 162,
{ 156: } 163,
{ 157: } 164,
{ 158: } 165,
{ 159: } 166,
{ 160: } 167,
{ 161: } 168,
{ 162: } 169,
{ 163: } 169,
{ 164: } 169,
{ 165: } 170,
{ 166: } 171,
{ 167: } 172,
{ 168: } 172,
{ 169: } 172,
{ 170: } 173,
{ 171: } 174,
{ 172: } 176,
{ 173: } 177,
{ 174: } 178,
{ 175: } 179,
{ 176: } 180,
{ 177: } 181,
{ 178: } 182,
{ 179: } 183,
{ 180: } 184,
{ 181: } 185,
{ 182: } 186,
{ 183: } 186,
{ 184: } 186,
{ 185: } 187,
{ 186: } 188,
{ 187: } 189,
{ 188: } 190,
{ 189: } 191,
{ 190: } 192,
{ 191: } 193,
{ 192: } 194,
{ 193: } 195,
{ 194: } 196,
{ 195: } 197,
{ 196: } 197,
{ 197: } 197,
{ 198: } 198,
{ 199: } 198,
{ 200: } 198,
{ 201: } 199,
{ 202: } 200,
{ 203: } 201,
{ 204: } 202,
{ 205: } 203,
{ 206: } 204,
{ 207: } 205,
{ 208: } 206,
{ 209: } 207,
{ 210: } 208,
{ 211: } 209,
{ 212: } 210,
{ 213: } 210,
{ 214: } 211,
{ 215: } 212,
{ 216: } 213,
{ 217: } 214,
{ 218: } 215,
{ 219: } 216,
{ 220: } 217,
{ 221: } 218,
{ 222: } 219,
{ 223: } 220,
{ 224: } 222,
{ 225: } 222,
{ 226: } 223,
{ 227: } 223,
{ 228: } 224,
{ 229: } 225,
{ 230: } 226,
{ 231: } 227,
{ 232: } 228,
{ 233: } 229,
{ 234: } 230,
{ 235: } 231,
{ 236: } 232,
{ 237: } 233,
{ 238: } 234,
{ 239: } 236,
{ 240: } 236,
{ 241: } 237,
{ 242: } 238,
{ 243: } 239,
{ 244: } 240,
{ 245: } 241,
{ 246: } 243,
{ 247: } 244,
{ 248: } 245,
{ 249: } 246,
{ 250: } 247,
{ 251: } 247,
{ 252: } 248,
{ 253: } 248,
{ 254: } 249,
{ 255: } 250,
{ 256: } 251,
{ 257: } 252,
{ 258: } 253,
{ 259: } 254,
{ 260: } 256,
{ 261: } 257,
{ 262: } 258,
{ 263: } 259,
{ 264: } 260,
{ 265: } 260,
{ 266: } 261,
{ 267: } 263,
{ 268: } 264,
{ 269: } 265,
{ 270: } 267,
{ 271: } 268,
{ 272: } 269,
{ 273: } 270,
{ 274: } 271,
{ 275: } 271,
{ 276: } 272,
{ 277: } 272,
{ 278: } 273,
{ 279: } 274,
{ 280: } 276,
{ 281: } 277,
{ 282: } 278,
{ 283: } 280,
{ 284: } 281,
{ 285: } 282,
{ 286: } 283,
{ 287: } 284,
{ 288: } 284,
{ 289: } 285,
{ 290: } 286,
{ 291: } 287,
{ 292: } 289,
{ 293: } 290,
{ 294: } 291,
{ 295: } 293,
{ 296: } 293,
{ 297: } 294,
{ 298: } 294,
{ 299: } 295,
{ 300: } 296,
{ 301: } 297,
{ 302: } 298,
{ 303: } 300,
{ 304: } 301,
{ 305: } 302,
{ 306: } 304,
{ 307: } 304,
{ 308: } 305,
{ 309: } 307,
{ 310: } 308,
{ 311: } 309,
{ 312: } 310,
{ 313: } 310,
{ 314: } 311,
{ 315: } 311,
{ 316: } 312,
{ 317: } 312,
{ 318: } 314,
{ 319: } 315,
{ 320: } 316,
{ 321: } 317,
{ 322: } 317,
{ 323: } 319,
{ 324: } 320,
{ 325: } 322,
{ 326: } 323,
{ 327: } 323,
{ 328: } 325,
{ 329: } 325,
{ 330: } 327,
{ 331: } 327,
{ 332: } 328,
{ 333: } 330,
{ 334: } 331,
{ 335: } 332,
{ 336: } 333,
{ 337: } 334,
{ 338: } 334,
{ 339: } 335,
{ 340: } 336,
{ 341: } 337,
{ 342: } 338,
{ 343: } 338,
{ 344: } 339,
{ 345: } 340,
{ 346: } 340,
{ 347: } 342,
{ 348: } 343,
{ 349: } 343,
{ 350: } 345,
{ 351: } 346,
{ 352: } 347,
{ 353: } 347,
{ 354: } 348,
{ 355: } 349,
{ 356: } 349,
{ 357: } 350,
{ 358: } 352,
{ 359: } 352,
{ 360: } 354,
{ 361: } 354,
{ 362: } 354,
{ 363: } 354,
{ 364: } 354,
{ 365: } 354,
{ 366: } 354,
{ 367: } 354,
{ 368: } 354,
{ 369: } 354,
{ 370: } 355
);

yyml : array [0..yynstates-1] of Integer = (
{ 0: } 1,
{ 1: } 2,
{ 2: } 3,
{ 3: } 5,
{ 4: } 7,
{ 5: } 9,
{ 6: } 11,
{ 7: } 13,
{ 8: } 14,
{ 9: } 15,
{ 10: } 16,
{ 11: } 17,
{ 12: } 18,
{ 13: } 19,
{ 14: } 20,
{ 15: } 21,
{ 16: } 22,
{ 17: } 23,
{ 18: } 24,
{ 19: } 25,
{ 20: } 26,
{ 21: } 27,
{ 22: } 28,
{ 23: } 29,
{ 24: } 30,
{ 25: } 31,
{ 26: } 32,
{ 27: } 33,
{ 28: } 34,
{ 29: } 35,
{ 30: } 36,
{ 31: } 37,
{ 32: } 38,
{ 33: } 39,
{ 34: } 40,
{ 35: } 41,
{ 36: } 42,
{ 37: } 43,
{ 38: } 44,
{ 39: } 45,
{ 40: } 46,
{ 41: } 47,
{ 42: } 48,
{ 43: } 49,
{ 44: } 50,
{ 45: } 51,
{ 46: } 52,
{ 47: } 53,
{ 48: } 54,
{ 49: } 55,
{ 50: } 56,
{ 51: } 57,
{ 52: } 58,
{ 53: } 59,
{ 54: } 60,
{ 55: } 61,
{ 56: } 62,
{ 57: } 63,
{ 58: } 64,
{ 59: } 65,
{ 60: } 66,
{ 61: } 67,
{ 62: } 68,
{ 63: } 69,
{ 64: } 70,
{ 65: } 71,
{ 66: } 72,
{ 67: } 73,
{ 68: } 74,
{ 69: } 75,
{ 70: } 76,
{ 71: } 77,
{ 72: } 78,
{ 73: } 79,
{ 74: } 80,
{ 75: } 81,
{ 76: } 82,
{ 77: } 83,
{ 78: } 84,
{ 79: } 85,
{ 80: } 86,
{ 81: } 87,
{ 82: } 88,
{ 83: } 89,
{ 84: } 90,
{ 85: } 91,
{ 86: } 92,
{ 87: } 93,
{ 88: } 94,
{ 89: } 95,
{ 90: } 96,
{ 91: } 97,
{ 92: } 98,
{ 93: } 99,
{ 94: } 100,
{ 95: } 101,
{ 96: } 102,
{ 97: } 103,
{ 98: } 104,
{ 99: } 105,
{ 100: } 106,
{ 101: } 107,
{ 102: } 108,
{ 103: } 109,
{ 104: } 110,
{ 105: } 111,
{ 106: } 112,
{ 107: } 113,
{ 108: } 114,
{ 109: } 115,
{ 110: } 116,
{ 111: } 117,
{ 112: } 118,
{ 113: } 119,
{ 114: } 120,
{ 115: } 121,
{ 116: } 122,
{ 117: } 123,
{ 118: } 124,
{ 119: } 125,
{ 120: } 126,
{ 121: } 127,
{ 122: } 128,
{ 123: } 129,
{ 124: } 130,
{ 125: } 131,
{ 126: } 132,
{ 127: } 133,
{ 128: } 134,
{ 129: } 135,
{ 130: } 136,
{ 131: } 137,
{ 132: } 138,
{ 133: } 139,
{ 134: } 140,
{ 135: } 141,
{ 136: } 142,
{ 137: } 143,
{ 138: } 144,
{ 139: } 146,
{ 140: } 147,
{ 141: } 148,
{ 142: } 149,
{ 143: } 150,
{ 144: } 151,
{ 145: } 152,
{ 146: } 153,
{ 147: } 154,
{ 148: } 155,
{ 149: } 156,
{ 150: } 157,
{ 151: } 158,
{ 152: } 159,
{ 153: } 160,
{ 154: } 161,
{ 155: } 162,
{ 156: } 163,
{ 157: } 164,
{ 158: } 165,
{ 159: } 166,
{ 160: } 167,
{ 161: } 168,
{ 162: } 169,
{ 163: } 170,
{ 164: } 170,
{ 165: } 170,
{ 166: } 171,
{ 167: } 172,
{ 168: } 173,
{ 169: } 173,
{ 170: } 173,
{ 171: } 174,
{ 172: } 175,
{ 173: } 177,
{ 174: } 178,
{ 175: } 179,
{ 176: } 180,
{ 177: } 181,
{ 178: } 182,
{ 179: } 183,
{ 180: } 184,
{ 181: } 185,
{ 182: } 186,
{ 183: } 187,
{ 184: } 187,
{ 185: } 187,
{ 186: } 188,
{ 187: } 189,
{ 188: } 190,
{ 189: } 191,
{ 190: } 192,
{ 191: } 193,
{ 192: } 194,
{ 193: } 195,
{ 194: } 196,
{ 195: } 197,
{ 196: } 198,
{ 197: } 198,
{ 198: } 198,
{ 199: } 199,
{ 200: } 199,
{ 201: } 199,
{ 202: } 200,
{ 203: } 201,
{ 204: } 202,
{ 205: } 203,
{ 206: } 204,
{ 207: } 205,
{ 208: } 206,
{ 209: } 207,
{ 210: } 208,
{ 211: } 209,
{ 212: } 210,
{ 213: } 211,
{ 214: } 211,
{ 215: } 212,
{ 216: } 213,
{ 217: } 214,
{ 218: } 215,
{ 219: } 216,
{ 220: } 217,
{ 221: } 218,
{ 222: } 219,
{ 223: } 220,
{ 224: } 221,
{ 225: } 223,
{ 226: } 223,
{ 227: } 224,
{ 228: } 224,
{ 229: } 225,
{ 230: } 226,
{ 231: } 227,
{ 232: } 228,
{ 233: } 229,
{ 234: } 230,
{ 235: } 231,
{ 236: } 232,
{ 237: } 233,
{ 238: } 234,
{ 239: } 235,
{ 240: } 237,
{ 241: } 237,
{ 242: } 238,
{ 243: } 239,
{ 244: } 240,
{ 245: } 241,
{ 246: } 242,
{ 247: } 244,
{ 248: } 245,
{ 249: } 246,
{ 250: } 247,
{ 251: } 248,
{ 252: } 248,
{ 253: } 249,
{ 254: } 249,
{ 255: } 250,
{ 256: } 251,
{ 257: } 252,
{ 258: } 253,
{ 259: } 254,
{ 260: } 255,
{ 261: } 257,
{ 262: } 258,
{ 263: } 259,
{ 264: } 260,
{ 265: } 261,
{ 266: } 261,
{ 267: } 262,
{ 268: } 264,
{ 269: } 265,
{ 270: } 266,
{ 271: } 268,
{ 272: } 269,
{ 273: } 270,
{ 274: } 271,
{ 275: } 272,
{ 276: } 272,
{ 277: } 273,
{ 278: } 273,
{ 279: } 274,
{ 280: } 275,
{ 281: } 277,
{ 282: } 278,
{ 283: } 279,
{ 284: } 281,
{ 285: } 282,
{ 286: } 283,
{ 287: } 284,
{ 288: } 285,
{ 289: } 285,
{ 290: } 286,
{ 291: } 287,
{ 292: } 288,
{ 293: } 290,
{ 294: } 291,
{ 295: } 292,
{ 296: } 294,
{ 297: } 294,
{ 298: } 295,
{ 299: } 295,
{ 300: } 296,
{ 301: } 297,
{ 302: } 298,
{ 303: } 299,
{ 304: } 301,
{ 305: } 302,
{ 306: } 303,
{ 307: } 305,
{ 308: } 305,
{ 309: } 306,
{ 310: } 308,
{ 311: } 309,
{ 312: } 310,
{ 313: } 311,
{ 314: } 311,
{ 315: } 312,
{ 316: } 312,
{ 317: } 313,
{ 318: } 313,
{ 319: } 315,
{ 320: } 316,
{ 321: } 317,
{ 322: } 318,
{ 323: } 318,
{ 324: } 320,
{ 325: } 321,
{ 326: } 323,
{ 327: } 324,
{ 328: } 324,
{ 329: } 326,
{ 330: } 326,
{ 331: } 328,
{ 332: } 328,
{ 333: } 329,
{ 334: } 331,
{ 335: } 332,
{ 336: } 333,
{ 337: } 334,
{ 338: } 335,
{ 339: } 335,
{ 340: } 336,
{ 341: } 337,
{ 342: } 338,
{ 343: } 339,
{ 344: } 339,
{ 345: } 340,
{ 346: } 341,
{ 347: } 341,
{ 348: } 343,
{ 349: } 344,
{ 350: } 344,
{ 351: } 346,
{ 352: } 347,
{ 353: } 348,
{ 354: } 348,
{ 355: } 349,
{ 356: } 350,
{ 357: } 350,
{ 358: } 351,
{ 359: } 353,
{ 360: } 353,
{ 361: } 355,
{ 362: } 355,
{ 363: } 355,
{ 364: } 355,
{ 365: } 355,
{ 366: } 355,
{ 367: } 355,
{ 368: } 355,
{ 369: } 355,
{ 370: } 355
);

yymh : array [0..yynstates-1] of Integer = (
{ 0: } 1,
{ 1: } 2,
{ 2: } 4,
{ 3: } 6,
{ 4: } 8,
{ 5: } 10,
{ 6: } 12,
{ 7: } 13,
{ 8: } 14,
{ 9: } 15,
{ 10: } 16,
{ 11: } 17,
{ 12: } 18,
{ 13: } 19,
{ 14: } 20,
{ 15: } 21,
{ 16: } 22,
{ 17: } 23,
{ 18: } 24,
{ 19: } 25,
{ 20: } 26,
{ 21: } 27,
{ 22: } 28,
{ 23: } 29,
{ 24: } 30,
{ 25: } 31,
{ 26: } 32,
{ 27: } 33,
{ 28: } 34,
{ 29: } 35,
{ 30: } 36,
{ 31: } 37,
{ 32: } 38,
{ 33: } 39,
{ 34: } 40,
{ 35: } 41,
{ 36: } 42,
{ 37: } 43,
{ 38: } 44,
{ 39: } 45,
{ 40: } 46,
{ 41: } 47,
{ 42: } 48,
{ 43: } 49,
{ 44: } 50,
{ 45: } 51,
{ 46: } 52,
{ 47: } 53,
{ 48: } 54,
{ 49: } 55,
{ 50: } 56,
{ 51: } 57,
{ 52: } 58,
{ 53: } 59,
{ 54: } 60,
{ 55: } 61,
{ 56: } 62,
{ 57: } 63,
{ 58: } 64,
{ 59: } 65,
{ 60: } 66,
{ 61: } 67,
{ 62: } 68,
{ 63: } 69,
{ 64: } 70,
{ 65: } 71,
{ 66: } 72,
{ 67: } 73,
{ 68: } 74,
{ 69: } 75,
{ 70: } 76,
{ 71: } 77,
{ 72: } 78,
{ 73: } 79,
{ 74: } 80,
{ 75: } 81,
{ 76: } 82,
{ 77: } 83,
{ 78: } 84,
{ 79: } 85,
{ 80: } 86,
{ 81: } 87,
{ 82: } 88,
{ 83: } 89,
{ 84: } 90,
{ 85: } 91,
{ 86: } 92,
{ 87: } 93,
{ 88: } 94,
{ 89: } 95,
{ 90: } 96,
{ 91: } 97,
{ 92: } 98,
{ 93: } 99,
{ 94: } 100,
{ 95: } 101,
{ 96: } 102,
{ 97: } 103,
{ 98: } 104,
{ 99: } 105,
{ 100: } 106,
{ 101: } 107,
{ 102: } 108,
{ 103: } 109,
{ 104: } 110,
{ 105: } 111,
{ 106: } 112,
{ 107: } 113,
{ 108: } 114,
{ 109: } 115,
{ 110: } 116,
{ 111: } 117,
{ 112: } 118,
{ 113: } 119,
{ 114: } 120,
{ 115: } 121,
{ 116: } 122,
{ 117: } 123,
{ 118: } 124,
{ 119: } 125,
{ 120: } 126,
{ 121: } 127,
{ 122: } 128,
{ 123: } 129,
{ 124: } 130,
{ 125: } 131,
{ 126: } 132,
{ 127: } 133,
{ 128: } 134,
{ 129: } 135,
{ 130: } 136,
{ 131: } 137,
{ 132: } 138,
{ 133: } 139,
{ 134: } 140,
{ 135: } 141,
{ 136: } 142,
{ 137: } 143,
{ 138: } 145,
{ 139: } 146,
{ 140: } 147,
{ 141: } 148,
{ 142: } 149,
{ 143: } 150,
{ 144: } 151,
{ 145: } 152,
{ 146: } 153,
{ 147: } 154,
{ 148: } 155,
{ 149: } 156,
{ 150: } 157,
{ 151: } 158,
{ 152: } 159,
{ 153: } 160,
{ 154: } 161,
{ 155: } 162,
{ 156: } 163,
{ 157: } 164,
{ 158: } 165,
{ 159: } 166,
{ 160: } 167,
{ 161: } 168,
{ 162: } 169,
{ 163: } 169,
{ 164: } 169,
{ 165: } 170,
{ 166: } 171,
{ 167: } 172,
{ 168: } 172,
{ 169: } 172,
{ 170: } 173,
{ 171: } 174,
{ 172: } 176,
{ 173: } 177,
{ 174: } 178,
{ 175: } 179,
{ 176: } 180,
{ 177: } 181,
{ 178: } 182,
{ 179: } 183,
{ 180: } 184,
{ 181: } 185,
{ 182: } 186,
{ 183: } 186,
{ 184: } 186,
{ 185: } 187,
{ 186: } 188,
{ 187: } 189,
{ 188: } 190,
{ 189: } 191,
{ 190: } 192,
{ 191: } 193,
{ 192: } 194,
{ 193: } 195,
{ 194: } 196,
{ 195: } 197,
{ 196: } 197,
{ 197: } 197,
{ 198: } 198,
{ 199: } 198,
{ 200: } 198,
{ 201: } 199,
{ 202: } 200,
{ 203: } 201,
{ 204: } 202,
{ 205: } 203,
{ 206: } 204,
{ 207: } 205,
{ 208: } 206,
{ 209: } 207,
{ 210: } 208,
{ 211: } 209,
{ 212: } 210,
{ 213: } 210,
{ 214: } 211,
{ 215: } 212,
{ 216: } 213,
{ 217: } 214,
{ 218: } 215,
{ 219: } 216,
{ 220: } 217,
{ 221: } 218,
{ 222: } 219,
{ 223: } 220,
{ 224: } 222,
{ 225: } 222,
{ 226: } 223,
{ 227: } 223,
{ 228: } 224,
{ 229: } 225,
{ 230: } 226,
{ 231: } 227,
{ 232: } 228,
{ 233: } 229,
{ 234: } 230,
{ 235: } 231,
{ 236: } 232,
{ 237: } 233,
{ 238: } 234,
{ 239: } 236,
{ 240: } 236,
{ 241: } 237,
{ 242: } 238,
{ 243: } 239,
{ 244: } 240,
{ 245: } 241,
{ 246: } 243,
{ 247: } 244,
{ 248: } 245,
{ 249: } 246,
{ 250: } 247,
{ 251: } 247,
{ 252: } 248,
{ 253: } 248,
{ 254: } 249,
{ 255: } 250,
{ 256: } 251,
{ 257: } 252,
{ 258: } 253,
{ 259: } 254,
{ 260: } 256,
{ 261: } 257,
{ 262: } 258,
{ 263: } 259,
{ 264: } 260,
{ 265: } 260,
{ 266: } 261,
{ 267: } 263,
{ 268: } 264,
{ 269: } 265,
{ 270: } 267,
{ 271: } 268,
{ 272: } 269,
{ 273: } 270,
{ 274: } 271,
{ 275: } 271,
{ 276: } 272,
{ 277: } 272,
{ 278: } 273,
{ 279: } 274,
{ 280: } 276,
{ 281: } 277,
{ 282: } 278,
{ 283: } 280,
{ 284: } 281,
{ 285: } 282,
{ 286: } 283,
{ 287: } 284,
{ 288: } 284,
{ 289: } 285,
{ 290: } 286,
{ 291: } 287,
{ 292: } 289,
{ 293: } 290,
{ 294: } 291,
{ 295: } 293,
{ 296: } 293,
{ 297: } 294,
{ 298: } 294,
{ 299: } 295,
{ 300: } 296,
{ 301: } 297,
{ 302: } 298,
{ 303: } 300,
{ 304: } 301,
{ 305: } 302,
{ 306: } 304,
{ 307: } 304,
{ 308: } 305,
{ 309: } 307,
{ 310: } 308,
{ 311: } 309,
{ 312: } 310,
{ 313: } 310,
{ 314: } 311,
{ 315: } 311,
{ 316: } 312,
{ 317: } 312,
{ 318: } 314,
{ 319: } 315,
{ 320: } 316,
{ 321: } 317,
{ 322: } 317,
{ 323: } 319,
{ 324: } 320,
{ 325: } 322,
{ 326: } 323,
{ 327: } 323,
{ 328: } 325,
{ 329: } 325,
{ 330: } 327,
{ 331: } 327,
{ 332: } 328,
{ 333: } 330,
{ 334: } 331,
{ 335: } 332,
{ 336: } 333,
{ 337: } 334,
{ 338: } 334,
{ 339: } 335,
{ 340: } 336,
{ 341: } 337,
{ 342: } 338,
{ 343: } 338,
{ 344: } 339,
{ 345: } 340,
{ 346: } 340,
{ 347: } 342,
{ 348: } 343,
{ 349: } 343,
{ 350: } 345,
{ 351: } 346,
{ 352: } 347,
{ 353: } 347,
{ 354: } 348,
{ 355: } 349,
{ 356: } 349,
{ 357: } 350,
{ 358: } 352,
{ 359: } 352,
{ 360: } 354,
{ 361: } 354,
{ 362: } 354,
{ 363: } 354,
{ 364: } 354,
{ 365: } 354,
{ 366: } 354,
{ 367: } 354,
{ 368: } 354,
{ 369: } 354,
{ 370: } 355
);

yytl : array [0..yynstates-1] of Integer = (
{ 0: } 1,
{ 1: } 7,
{ 2: } 13,
{ 3: } 22,
{ 4: } 25,
{ 5: } 27,
{ 6: } 28,
{ 7: } 29,
{ 8: } 29,
{ 9: } 32,
{ 10: } 40,
{ 11: } 43,
{ 12: } 48,
{ 13: } 51,
{ 14: } 55,
{ 15: } 60,
{ 16: } 62,
{ 17: } 63,
{ 18: } 66,
{ 19: } 69,
{ 20: } 72,
{ 21: } 75,
{ 22: } 80,
{ 23: } 83,
{ 24: } 87,
{ 25: } 91,
{ 26: } 95,
{ 27: } 99,
{ 28: } 102,
{ 29: } 105,
{ 30: } 108,
{ 31: } 111,
{ 32: } 114,
{ 33: } 117,
{ 34: } 120,
{ 35: } 123,
{ 36: } 126,
{ 37: } 129,
{ 38: } 132,
{ 39: } 136,
{ 40: } 140,
{ 41: } 143,
{ 42: } 146,
{ 43: } 149,
{ 44: } 152,
{ 45: } 155,
{ 46: } 158,
{ 47: } 161,
{ 48: } 164,
{ 49: } 167,
{ 50: } 170,
{ 51: } 173,
{ 52: } 176,
{ 53: } 179,
{ 54: } 182,
{ 55: } 185,
{ 56: } 188,
{ 57: } 191,
{ 58: } 194,
{ 59: } 197,
{ 60: } 200,
{ 61: } 203,
{ 62: } 206,
{ 63: } 209,
{ 64: } 212,
{ 65: } 215,
{ 66: } 218,
{ 67: } 221,
{ 68: } 224,
{ 69: } 227,
{ 70: } 230,
{ 71: } 233,
{ 72: } 236,
{ 73: } 239,
{ 74: } 242,
{ 75: } 245,
{ 76: } 248,
{ 77: } 251,
{ 78: } 254,
{ 79: } 257,
{ 80: } 260,
{ 81: } 263,
{ 82: } 266,
{ 83: } 269,
{ 84: } 272,
{ 85: } 275,
{ 86: } 278,
{ 87: } 281,
{ 88: } 284,
{ 89: } 287,
{ 90: } 290,
{ 91: } 293,
{ 92: } 296,
{ 93: } 299,
{ 94: } 302,
{ 95: } 305,
{ 96: } 308,
{ 97: } 311,
{ 98: } 314,
{ 99: } 317,
{ 100: } 320,
{ 101: } 323,
{ 102: } 326,
{ 103: } 329,
{ 104: } 332,
{ 105: } 335,
{ 106: } 338,
{ 107: } 341,
{ 108: } 344,
{ 109: } 347,
{ 110: } 350,
{ 111: } 353,
{ 112: } 356,
{ 113: } 359,
{ 114: } 362,
{ 115: } 365,
{ 116: } 368,
{ 117: } 371,
{ 118: } 374,
{ 119: } 377,
{ 120: } 380,
{ 121: } 383,
{ 122: } 386,
{ 123: } 389,
{ 124: } 392,
{ 125: } 395,
{ 126: } 398,
{ 127: } 401,
{ 128: } 404,
{ 129: } 407,
{ 130: } 410,
{ 131: } 413,
{ 132: } 416,
{ 133: } 419,
{ 134: } 422,
{ 135: } 425,
{ 136: } 430,
{ 137: } 435,
{ 138: } 438,
{ 139: } 440,
{ 140: } 443,
{ 141: } 446,
{ 142: } 449,
{ 143: } 452,
{ 144: } 455,
{ 145: } 458,
{ 146: } 461,
{ 147: } 464,
{ 148: } 467,
{ 149: } 470,
{ 150: } 473,
{ 151: } 478,
{ 152: } 481,
{ 153: } 484,
{ 154: } 487,
{ 155: } 490,
{ 156: } 493,
{ 157: } 496,
{ 158: } 499,
{ 159: } 502,
{ 160: } 505,
{ 161: } 508,
{ 162: } 512,
{ 163: } 516,
{ 164: } 519,
{ 165: } 523,
{ 166: } 528,
{ 167: } 532,
{ 168: } 536,
{ 169: } 539,
{ 170: } 543,
{ 171: } 548,
{ 172: } 551,
{ 173: } 553,
{ 174: } 556,
{ 175: } 559,
{ 176: } 562,
{ 177: } 565,
{ 178: } 568,
{ 179: } 571,
{ 180: } 574,
{ 181: } 577,
{ 182: } 580,
{ 183: } 583,
{ 184: } 584,
{ 185: } 587,
{ 186: } 590,
{ 187: } 593,
{ 188: } 596,
{ 189: } 599,
{ 190: } 602,
{ 191: } 605,
{ 192: } 608,
{ 193: } 611,
{ 194: } 614,
{ 195: } 617,
{ 196: } 620,
{ 197: } 623,
{ 198: } 627,
{ 199: } 632,
{ 200: } 635,
{ 201: } 639,
{ 202: } 644,
{ 203: } 647,
{ 204: } 650,
{ 205: } 653,
{ 206: } 656,
{ 207: } 659,
{ 208: } 662,
{ 209: } 665,
{ 210: } 668,
{ 211: } 671,
{ 212: } 674,
{ 213: } 677,
{ 214: } 678,
{ 215: } 681,
{ 216: } 684,
{ 217: } 687,
{ 218: } 690,
{ 219: } 693,
{ 220: } 696,
{ 221: } 699,
{ 222: } 702,
{ 223: } 705,
{ 224: } 708,
{ 225: } 710,
{ 226: } 714,
{ 227: } 719,
{ 228: } 723,
{ 229: } 728,
{ 230: } 731,
{ 231: } 734,
{ 232: } 737,
{ 233: } 740,
{ 234: } 743,
{ 235: } 746,
{ 236: } 749,
{ 237: } 752,
{ 238: } 755,
{ 239: } 758,
{ 240: } 760,
{ 241: } 761,
{ 242: } 764,
{ 243: } 767,
{ 244: } 770,
{ 245: } 773,
{ 246: } 776,
{ 247: } 778,
{ 248: } 781,
{ 249: } 784,
{ 250: } 787,
{ 251: } 790,
{ 252: } 794,
{ 253: } 799,
{ 254: } 803,
{ 255: } 808,
{ 256: } 811,
{ 257: } 814,
{ 258: } 817,
{ 259: } 820,
{ 260: } 823,
{ 261: } 825,
{ 262: } 828,
{ 263: } 831,
{ 264: } 834,
{ 265: } 837,
{ 266: } 838,
{ 267: } 841,
{ 268: } 843,
{ 269: } 846,
{ 270: } 849,
{ 271: } 851,
{ 272: } 854,
{ 273: } 857,
{ 274: } 860,
{ 275: } 863,
{ 276: } 867,
{ 277: } 872,
{ 278: } 876,
{ 279: } 881,
{ 280: } 883,
{ 281: } 885,
{ 282: } 888,
{ 283: } 891,
{ 284: } 893,
{ 285: } 896,
{ 286: } 899,
{ 287: } 902,
{ 288: } 905,
{ 289: } 906,
{ 290: } 909,
{ 291: } 912,
{ 292: } 915,
{ 293: } 917,
{ 294: } 920,
{ 295: } 923,
{ 296: } 925,
{ 297: } 929,
{ 298: } 934,
{ 299: } 938,
{ 300: } 943,
{ 301: } 945,
{ 302: } 948,
{ 303: } 951,
{ 304: } 953,
{ 305: } 956,
{ 306: } 959,
{ 307: } 961,
{ 308: } 962,
{ 309: } 965,
{ 310: } 967,
{ 311: } 970,
{ 312: } 973,
{ 313: } 976,
{ 314: } 980,
{ 315: } 985,
{ 316: } 989,
{ 317: } 994,
{ 318: } 995,
{ 319: } 997,
{ 320: } 1000,
{ 321: } 1003,
{ 322: } 1006,
{ 323: } 1007,
{ 324: } 1011,
{ 325: } 1014,
{ 326: } 1016,
{ 327: } 1019,
{ 328: } 1023,
{ 329: } 1027,
{ 330: } 1031,
{ 331: } 1035,
{ 332: } 1036,
{ 333: } 1039,
{ 334: } 1041,
{ 335: } 1044,
{ 336: } 1047,
{ 337: } 1051,
{ 338: } 1055,
{ 339: } 1058,
{ 340: } 1061,
{ 341: } 1064,
{ 342: } 1067,
{ 343: } 1070,
{ 344: } 1071,
{ 345: } 1074,
{ 346: } 1077,
{ 347: } 1080,
{ 348: } 1082,
{ 349: } 1085,
{ 350: } 1086,
{ 351: } 1088,
{ 352: } 1091,
{ 353: } 1094,
{ 354: } 1095,
{ 355: } 1098,
{ 356: } 1101,
{ 357: } 1102,
{ 358: } 1105,
{ 359: } 1107,
{ 360: } 1108,
{ 361: } 1110,
{ 362: } 1111,
{ 363: } 1112,
{ 364: } 1113,
{ 365: } 1114,
{ 366: } 1115,
{ 367: } 1116,
{ 368: } 1117,
{ 369: } 1118,
{ 370: } 1119
);

yyth : array [0..yynstates-1] of Integer = (
{ 0: } 6,
{ 1: } 12,
{ 2: } 21,
{ 3: } 24,
{ 4: } 26,
{ 5: } 27,
{ 6: } 28,
{ 7: } 28,
{ 8: } 31,
{ 9: } 39,
{ 10: } 42,
{ 11: } 47,
{ 12: } 50,
{ 13: } 54,
{ 14: } 59,
{ 15: } 61,
{ 16: } 62,
{ 17: } 65,
{ 18: } 68,
{ 19: } 71,
{ 20: } 74,
{ 21: } 79,
{ 22: } 82,
{ 23: } 86,
{ 24: } 90,
{ 25: } 94,
{ 26: } 98,
{ 27: } 101,
{ 28: } 104,
{ 29: } 107,
{ 30: } 110,
{ 31: } 113,
{ 32: } 116,
{ 33: } 119,
{ 34: } 122,
{ 35: } 125,
{ 36: } 128,
{ 37: } 131,
{ 38: } 135,
{ 39: } 139,
{ 40: } 142,
{ 41: } 145,
{ 42: } 148,
{ 43: } 151,
{ 44: } 154,
{ 45: } 157,
{ 46: } 160,
{ 47: } 163,
{ 48: } 166,
{ 49: } 169,
{ 50: } 172,
{ 51: } 175,
{ 52: } 178,
{ 53: } 181,
{ 54: } 184,
{ 55: } 187,
{ 56: } 190,
{ 57: } 193,
{ 58: } 196,
{ 59: } 199,
{ 60: } 202,
{ 61: } 205,
{ 62: } 208,
{ 63: } 211,
{ 64: } 214,
{ 65: } 217,
{ 66: } 220,
{ 67: } 223,
{ 68: } 226,
{ 69: } 229,
{ 70: } 232,
{ 71: } 235,
{ 72: } 238,
{ 73: } 241,
{ 74: } 244,
{ 75: } 247,
{ 76: } 250,
{ 77: } 253,
{ 78: } 256,
{ 79: } 259,
{ 80: } 262,
{ 81: } 265,
{ 82: } 268,
{ 83: } 271,
{ 84: } 274,
{ 85: } 277,
{ 86: } 280,
{ 87: } 283,
{ 88: } 286,
{ 89: } 289,
{ 90: } 292,
{ 91: } 295,
{ 92: } 298,
{ 93: } 301,
{ 94: } 304,
{ 95: } 307,
{ 96: } 310,
{ 97: } 313,
{ 98: } 316,
{ 99: } 319,
{ 100: } 322,
{ 101: } 325,
{ 102: } 328,
{ 103: } 331,
{ 104: } 334,
{ 105: } 337,
{ 106: } 340,
{ 107: } 343,
{ 108: } 346,
{ 109: } 349,
{ 110: } 352,
{ 111: } 355,
{ 112: } 358,
{ 113: } 361,
{ 114: } 364,
{ 115: } 367,
{ 116: } 370,
{ 117: } 373,
{ 118: } 376,
{ 119: } 379,
{ 120: } 382,
{ 121: } 385,
{ 122: } 388,
{ 123: } 391,
{ 124: } 394,
{ 125: } 397,
{ 126: } 400,
{ 127: } 403,
{ 128: } 406,
{ 129: } 409,
{ 130: } 412,
{ 131: } 415,
{ 132: } 418,
{ 133: } 421,
{ 134: } 424,
{ 135: } 429,
{ 136: } 434,
{ 137: } 437,
{ 138: } 439,
{ 139: } 442,
{ 140: } 445,
{ 141: } 448,
{ 142: } 451,
{ 143: } 454,
{ 144: } 457,
{ 145: } 460,
{ 146: } 463,
{ 147: } 466,
{ 148: } 469,
{ 149: } 472,
{ 150: } 477,
{ 151: } 480,
{ 152: } 483,
{ 153: } 486,
{ 154: } 489,
{ 155: } 492,
{ 156: } 495,
{ 157: } 498,
{ 158: } 501,
{ 159: } 504,
{ 160: } 507,
{ 161: } 511,
{ 162: } 515,
{ 163: } 518,
{ 164: } 522,
{ 165: } 527,
{ 166: } 531,
{ 167: } 535,
{ 168: } 538,
{ 169: } 542,
{ 170: } 547,
{ 171: } 550,
{ 172: } 552,
{ 173: } 555,
{ 174: } 558,
{ 175: } 561,
{ 176: } 564,
{ 177: } 567,
{ 178: } 570,
{ 179: } 573,
{ 180: } 576,
{ 181: } 579,
{ 182: } 582,
{ 183: } 583,
{ 184: } 586,
{ 185: } 589,
{ 186: } 592,
{ 187: } 595,
{ 188: } 598,
{ 189: } 601,
{ 190: } 604,
{ 191: } 607,
{ 192: } 610,
{ 193: } 613,
{ 194: } 616,
{ 195: } 619,
{ 196: } 622,
{ 197: } 626,
{ 198: } 631,
{ 199: } 634,
{ 200: } 638,
{ 201: } 643,
{ 202: } 646,
{ 203: } 649,
{ 204: } 652,
{ 205: } 655,
{ 206: } 658,
{ 207: } 661,
{ 208: } 664,
{ 209: } 667,
{ 210: } 670,
{ 211: } 673,
{ 212: } 676,
{ 213: } 677,
{ 214: } 680,
{ 215: } 683,
{ 216: } 686,
{ 217: } 689,
{ 218: } 692,
{ 219: } 695,
{ 220: } 698,
{ 221: } 701,
{ 222: } 704,
{ 223: } 707,
{ 224: } 709,
{ 225: } 713,
{ 226: } 718,
{ 227: } 722,
{ 228: } 727,
{ 229: } 730,
{ 230: } 733,
{ 231: } 736,
{ 232: } 739,
{ 233: } 742,
{ 234: } 745,
{ 235: } 748,
{ 236: } 751,
{ 237: } 754,
{ 238: } 757,
{ 239: } 759,
{ 240: } 760,
{ 241: } 763,
{ 242: } 766,
{ 243: } 769,
{ 244: } 772,
{ 245: } 775,
{ 246: } 777,
{ 247: } 780,
{ 248: } 783,
{ 249: } 786,
{ 250: } 789,
{ 251: } 793,
{ 252: } 798,
{ 253: } 802,
{ 254: } 807,
{ 255: } 810,
{ 256: } 813,
{ 257: } 816,
{ 258: } 819,
{ 259: } 822,
{ 260: } 824,
{ 261: } 827,
{ 262: } 830,
{ 263: } 833,
{ 264: } 836,
{ 265: } 837,
{ 266: } 840,
{ 267: } 842,
{ 268: } 845,
{ 269: } 848,
{ 270: } 850,
{ 271: } 853,
{ 272: } 856,
{ 273: } 859,
{ 274: } 862,
{ 275: } 866,
{ 276: } 871,
{ 277: } 875,
{ 278: } 880,
{ 279: } 882,
{ 280: } 884,
{ 281: } 887,
{ 282: } 890,
{ 283: } 892,
{ 284: } 895,
{ 285: } 898,
{ 286: } 901,
{ 287: } 904,
{ 288: } 905,
{ 289: } 908,
{ 290: } 911,
{ 291: } 914,
{ 292: } 916,
{ 293: } 919,
{ 294: } 922,
{ 295: } 924,
{ 296: } 928,
{ 297: } 933,
{ 298: } 937,
{ 299: } 942,
{ 300: } 944,
{ 301: } 947,
{ 302: } 950,
{ 303: } 952,
{ 304: } 955,
{ 305: } 958,
{ 306: } 960,
{ 307: } 961,
{ 308: } 964,
{ 309: } 966,
{ 310: } 969,
{ 311: } 972,
{ 312: } 975,
{ 313: } 979,
{ 314: } 984,
{ 315: } 988,
{ 316: } 993,
{ 317: } 994,
{ 318: } 996,
{ 319: } 999,
{ 320: } 1002,
{ 321: } 1005,
{ 322: } 1006,
{ 323: } 1010,
{ 324: } 1013,
{ 325: } 1015,
{ 326: } 1018,
{ 327: } 1022,
{ 328: } 1026,
{ 329: } 1030,
{ 330: } 1034,
{ 331: } 1035,
{ 332: } 1038,
{ 333: } 1040,
{ 334: } 1043,
{ 335: } 1046,
{ 336: } 1050,
{ 337: } 1054,
{ 338: } 1057,
{ 339: } 1060,
{ 340: } 1063,
{ 341: } 1066,
{ 342: } 1069,
{ 343: } 1070,
{ 344: } 1073,
{ 345: } 1076,
{ 346: } 1079,
{ 347: } 1081,
{ 348: } 1084,
{ 349: } 1085,
{ 350: } 1087,
{ 351: } 1090,
{ 352: } 1093,
{ 353: } 1094,
{ 354: } 1097,
{ 355: } 1100,
{ 356: } 1101,
{ 357: } 1104,
{ 358: } 1106,
{ 359: } 1107,
{ 360: } 1109,
{ 361: } 1110,
{ 362: } 1111,
{ 363: } 1112,
{ 364: } 1113,
{ 365: } 1114,
{ 366: } 1115,
{ 367: } 1116,
{ 368: } 1117,
{ 369: } 1118,
{ 370: } 1118
);


  Var

    yyn : Integer;

  Label

    start,
    scan,
    action;

  Begin

  start:

    yynew; // initialize:

  scan:

    // mark positions and matches:

    For yyn := yykl[ yystate] To yykh[ yystate] Do
      yymark( yyk[ yyn]);

    For yyn := yymh[ yystate] Downto yyml[ yystate] Do
      yymatch( yym[ yyn]);

    If yytl[ yystate] > yyth[ yystate]
    Then Goto action; // dead state

    // get next character:

    yyscan;

    // determine action:

    yyn := yytl[ yystate];
    While ( yyn <= yyth[ yystate]) And Not ( yyactchar in yyt[ yyn].cc) Do
      Inc( yyn);
    If yyn > yyth[ yystate]
    Then Goto action; // no transition on yyactchar in this state

    // switch to new state:

    yystate := yyt[ yyn].s;

    Goto scan;

  action:

    // execute action:

    If yyfind(yyrule)
    Then Begin
      yyaction( yyrule);
      If yyreject
      Then Goto action;
    End
    Else
      If Not yydefault And yywrap
      Then
      Begin
        yyclear;
        return( 0);
      End;

    If Not yydone
    Then Goto start;

    Result := yyretval;

End; // yylex




