Unit FrmTest;

{

    NetMidi server - a tool to stream MIDI data over TCP/IP.

    Copyright (C) 2003  Blue Hell / Jan Punter :: J.Punter@iaf.nl

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  Modification history :

    2003-10-23, created.

}

Interface

Uses

  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, ScktComp, Globals;

Type

  TFormTest = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    BitBtnConnect: TBitBtn;
    BitBtnSendPacket: TBitBtn;
    BitBtnClose: TBitBtn;
    Memo1: TMemo;
    Label1: TLabel;
    LabelServerPort: TLabel;
    ClientSocket: TClientSocket;
    procedure BitBtnCloseClick(Sender: TObject);
    procedure BitBtnSendPacketClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure ClientSocketConnect(Sender: TObject;
      Socket: TCustomWinSocket);
    procedure ClientSocketDisconnect(Sender: TObject;
      Socket: TCustomWinSocket);
    procedure ClientSocketRead(Sender: TObject; Socket: TCustomWinSocket);
    procedure BitBtnConnectClick(Sender: TObject);
  Private
    FServerPort : Integer;
  Private
    Procedure   SendPacket;
  Public
    Procedure   Execute( aServerPort: Integer);
  End;

Var
  FormTest: TFormTest;

Implementation

{$R *.dfm}

{$WARN UNSAFE_CODE OFF}

// User area

    Procedure   TFormTest.SendPacket;
    Var
      i     : Integer;
      aBuf  : PBytes;
      aData : Array Of Byte;
    Begin
      With ClientSocket Do
      Begin
        If Active
        Then Begin
          SetLength( aData, 8);
          GetMem( aBuf, 8);
          Try
            aBuf^[ 0] := $f0; aData[ 0] := $f0;
            aBuf^[ 7] := $f7; aData[ 7] := $f7;
            For i := 1 To 6 Do
            Begin
              aBuf^[ i] := i; aData[ i] := i;
            End;
            Memo1.Lines.Add( 'send : ' + Printable( aData));
            Socket.SendBuf( aBuf^, 8);
          Finally
            FreeMem( aBuf, 8);
          End;
        End;
      End;
    End;

    Procedure   TFormTest.Execute( aServerPort: Integer);
    Begin
      FServerPort := aServerPort;
      LabelServerPort.Caption := IntToStr( FServerPort);
      Show;
    End;

// Delphi area

procedure TFormTest.BitBtnCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TFormTest.BitBtnSendPacketClick(Sender: TObject);
begin
  SendPacket;
end;

procedure TFormTest.FormShow(Sender: TObject);
begin
  With ClientSocket Do
  Begin
    If Active
    Then Close;
    Address := '127.0.0.1';
    Port    := FServerPort;
    Open;
  End;
end;

procedure TFormTest.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  With ClientSocket Do
  If Active
  Then Close;
end;

procedure TFormTest.ClientSocketConnect(Sender: TObject;
  Socket: TCustomWinSocket);
begin
  BitBtnConnect   .Caption := 'Disconnect';
  BitBtnSendPacket.Enabled := True;
end;

procedure TFormTest.ClientSocketDisconnect(Sender: TObject;
  Socket: TCustomWinSocket);
begin
  BitBtnConnect   .Caption := 'Connect';
  BitBtnSendPacket.Enabled := False;
end;

procedure TFormTest.ClientSocketRead(Sender: TObject;
  Socket: TCustomWinSocket);
Var
  aData : Array Of Byte;
  aLen  : Integer;
  aBuf  : PBytes;
  i     : Integer;
begin
  With Socket Do
  Begin
    aLen := ReceiveLength;
    While aLen > 0 Do
    Begin
      GetMem( aBuf, aLen);
      Try
        ReceiveBuf( aBuf^, aLen);
        SetLength( aData, aLen);
        For i := 0 To aLen - 1 Do
          aData[ i] := aBuf^[ i];
        Memo1.Lines.Add( 'recv : ' + Printable( aData));
      Finally
        FreeMem( aBuf, aLen);
      End;
      aLen := ReceiveLength;
    End;
  End;
end;

procedure TFormTest.BitBtnConnectClick(Sender: TObject);
begin
  With ClientSocket Do
  If Active
  Then Close
  Else Open;
end;

End.
