program PatchLoader;

//  ////////////////////////////////////////////////////////////////////////////
//
//  Copyright (C) 2003 Jan Punter
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//  ////////////////////////////////////////////////////////////////////////////
//
//    lupd : 2003-11-23
//
//  ////////////////////////////////////////////////////////////////////////////


uses
  Windows,
  SysUtils,
  Forms,
  FrmMain in 'FrmMain.pas' {FormMain},
  pdlstructs in '..\..\libpdl\work\pdlstructs.pas',
  Globals in '..\..\libpdl\work\Globals.pas',
  patchstructs in '..\..\libnmpatch\work\patchstructs.pas',
  protocolstructs in '..\..\libnmprotocol\work\protocolstructs.pas';

{$R *.res}
                                                
Var

  CommandLine : Atom;
  aData       : Array[ 0 .. CommandBufSize] Of Char; // Defined in FrmMain

begin
  // Check to see if a previous instance is running,
  // if so post it this instance's commandline
  // so that the previous instance can :
  // - pop itself up.
  // - possibly open a new slot window.

{$WARN UNSAFE_CODE OFF}
{$WARN UNSAFE_TYPE OFF}
{$WARN SYMBOL_PLATFORM OFF}

  CreateMutex( Nil, False, SpecialSymbol);
  If GetLastError = ERROR_ALREADY_EXISTS
  Then Begin
    If ParamCount >= 1
    Then Begin
      StrPCopy( @ aData, CmdLine);
      CommandLine := GlobalAddAtom( aData)
    End
    Else CommandLine := 0;
    Try
      SendMessage(
        HWND_BROADCAST,
        RegisterWindowMessage( SpecialSymbol),
        LongInt( CommandLine),
        0
      );
    Finally
      Halt( 0);
    End;
  End;

{$WARN UNSAFE_CODE ON}
{$WARN UNSAFE_TYPE ON}
{$WARN SYMBOL_PLATFORM ON}

  // Back to the normal Delphi startup stuff

  Application.Initialize;

  // Some more special stuff ..
  //
  // Application.ShowMainForm := True;
  // ShowWindow( Application.Handle, SW_RESTORE);
  //
  // And back to normal again.

  Application.CreateForm(TFormMain, FormMain);
  Application.Run;
end.

